<?php
/*******************************************************************************
 *   copyright				: (C) 20011 - 2014 u-Auctions
 *   site					: http://www.u-auctions.com
 *******************************************************************************/

/*******************************************************************************
 *   This uAuctions is a Paid version of u-Auctions script.
 *   You are not allowed to resell/sell this script is  copyrighted to u-auctions.com.
 *   If you have been sold this script from a 3rd party and not from the 
 *   http://u-auctions.com website or https://ubidzz.com ask for a refund.
 *******************************************************************************/
/*******************************************************************************
 * If you bought this script from the https://u-Auctions.com website or https://ubidzz.com 
 * Please register at http://u-auctions.com/forum and contact the u-Auctions admin  
 * at http://u-auctions.com/forum with your order number and full name so we can change 
* your group to premium so you can view the paid area on the forums.
 *******************************************************************************/

include 'common.php';

if (!empty($_GET['user_id']))
{
	$user_id = intval($_GET['user_id']);
}
elseif ($user->logged_in)
{
	$user_id = $user->user_data['id'];
}
else
{
	$_SESSION['REDIRECT_AFTER_LOGIN'] = 'closed_auctions.php';
	header('location: user_login.php');
	exit;
}

// check trying to access valid user id
$user->is_valid_user($user_id);

// get number of closed auctions for this user
$query = "SELECT count(id) AS auctions FROM " . $DBPrefix . "auctions
	  WHERE user = :user_id
	  AND closed = :one";
$params = array();
$params[] = array(':user_id', intval($user_id), 'int');
$params[] = array(':one', 1, 'int');
$db->query($query, $params);
$TOTALAUCTIONS = $db->result('auctions');

// Handle pagination
if (!isset($_GET['PAGE']) || $_GET['PAGE'] == 1 || $_GET['PAGE'] == '')
{
	$OFFSET = 0;
	$PAGE = 1;
}
else
{
	$PAGE = intval($_GET['PAGE']);
	$OFFSET = ($PAGE - 1) * $system->SETTINGS['perpage'];
}
$PAGES = ceil($TOTALAUCTIONS / $system->SETTINGS['perpage']);
if ($PAGES < 1) $PAGES = 1;

$query = "SELECT * FROM " . $DBPrefix . "auctions
		WHERE user = :user_ids
		AND closed = :ones
		ORDER BY ends ASC LIMIT :offset, :perpage";
$params = array();
$params[] = array(':user_ids', $user_id, 'int');
$params[] = array(':ones', 1, 'int');
$params[] = array(':offset', $OFFSET, 'int');
$params[] = array(':perpage', $system->SETTINGS['perpage'], 'int');
$db->query($query, $params);
while ($row = $db->result())
{
	$bid = $row['current_bid'];
	$starting_price = $row['current_bid'];

	if (strlen($row['pict_url']) > 0)
	{
		$row['pict_url'] = $system->SETTINGS['siteurl'] . 'getthumb.php?w=' . $system->SETTINGS['thumb_show'] . '&fromfile=' . $security->encrypt($row['id'] . '/' . $row['pict_url']);
	}
	else
	{
		$row['pict_url'] = get_lang_img('nopicture.gif');
	}

	// number of bids for this auction
	$query_ = "SELECT bid FROM " . $DBPrefix . "bids WHERE auction= :user_id";
	$params = array();
	$params[] = array(':user_id', $row['id'], 'int');
	$db->query($query, $params);
	$num_bids = $db->numrows();

	$difference = $system->ctime - $row['ends'];
	$days_difference = intval($difference / 86400);
	$difference = $difference - ($days_difference * 86400);

	if (intval($difference / 3600) > 12) $days_difference++;

	$template->assign_block_vars('auctions', array(
			'BGCOLOUR' => (!($TOTALAUCTIONS % 2)) ? '' : 'class="alt-row"',
			'ID' => $row['id'],
			'PIC_URL' => $row['pict_url'],
			'TITLE' => $row['title'],
			'SEO_TITLE' => generate_seo_link($row['title']),
			'BNIMG' => get_lang_img(($row['bn_only'] == 'n') ? 'buy_it_now.gif' : 'bn_only.png'),
			'BNVALUE' => $row['buy_now'],
			'BNFORMAT' => $system->print_money($row['buy_now']),
			'BIDVALUE' => $row['minimum_bid'],
			'BIDFORMAT' => $system->print_money($row['minimum_bid']),
			'NUM_BIDS' => $num_bids,
			'TIMELEFT' => $days_difference . ' ' . $MSG['126a'],

			'B_BUY_NOW' => ($row['buy_now'] > 0 && ($row['bn_only'] == 'y' || $row['bn_only'] == 'n' && ($row['num_bids'] == 0 || ($row['reserve_price'] > 0 && $row['current_bid'] < $row['reserve_price'])))),
			'B_BNONLY' => ($row['bn_only'] == 'y')
			));

	$auctions_count++;
}

if ($auctions_count == 0)
{
	$template->assign_block_vars('no_auctions', array());
}

// get this user's nick
$query = "SELECT nick FROM " . $DBPrefix . "users WHERE id = :user_id";
$params = array();
$params[] = array(':user_id', $user_id, 'int');
$db->query($query, $params);
$TPL_user_nick = $db->result('nick');

$LOW = $PAGE - 5;
if ($LOW <= 0) $LOW = 1;
$COUNTER = $LOW;
$pagenation = '';
while ($COUNTER <= $PAGES && $COUNTER < ($PAGE + 6))
{
	if ($PAGE == $COUNTER)
	{
		$pagenation .= '<li class="active"><a href="#" >' . $COUNTER . '</a></li>';
	}
	else
	{
		$pagenation .= '<li><a href="closed_auctions.php?PAGE=' . $COUNTER . '&user_id=' . $user_id . '">' . $COUNTER . '</a></li>';
	}
	$COUNTER++;
}

$template->assign_vars(array(
		'B_MULPAG' => ($PAGES > 1),
		'B_NOTLAST' => ($PAGE < $PAGES),
		'B_NOTFIRST' => ($PAGE > 1),

		'USER_ID' => $user_id,
		'USERNAME' => $TPL_user_nick,
		'THUMBWIDTH' => $system->SETTINGS['thumb_show'],
		'NEXT' => intval($PAGE + 1),
		'PREV' => intval($PAGE - 1),
		'PAGE' => $PAGE,
		'PAGES' => $PAGES,
		'PAGENA' => $pagenation
		));

include 'header.php';
$template->set_filenames(array(
		'body' => 'auctions_closed.tpl'
		));
$template->display('body');
include 'footer.php';