<?php
/*******************************************************************************
 *   copyright				: (C) 20011 - 2014 u-Auctions
 *   site					: http://www.u-auctions.com
 *******************************************************************************/

/*******************************************************************************
 *   This uAuctions is a Paid version of u-Auctions script.
 *   You are not allowed to resell/sell this script is  copyrighted to u-auctions.com.
 *   If you have been sold this script from a 3rd party and not from the 
 *   http://u-auctions.com website or https://ubidzz.com ask for a refund.
 *******************************************************************************/
/*******************************************************************************
 * If you bought this script from the https://u-Auctions.com website or https://ubidzz.com 
 * Please register at http://u-auctions.com/forum and contact the u-Auctions admin  
 * at http://u-auctions.com/forum with your order number and full name so we can change 
* your group to premium so you can view the paid area on the forums.
 *******************************************************************************/

function getmainpath()
{
	$path = getcwd();
	$path = str_replace('install', '', $path);
	return $path;
}

function getdomainpath()
{
	$path = dirname($_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
	if (strlen($path) < 12)
	{
		$path = dirname($_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']);
	}
	$path = str_replace('install', '', $path);
	return $path;
}

function makeconfigfile($contents, $main_path)
{
	$filename = $main_path . 'includes/config.inc.php';
	$altfilename = $main_path . 'includes/config.inc.php.new';

	if (!file_exists($filename))
	{
		if (file_exists($altfilename))
		{
			rename($altfilename, $filename);
		}
		else
		{
			touch($filename);
		}
	}

	@chmod($filename, 0777);

	if (is_writable($filename))
	{
		if (!$handle = fopen($filename, 'w')) 
		{
			$return = false;
		}
		else
		{
			if (fwrite($handle, $contents) === false)
			{
				$return = false;
			}
			else
			{
				$return = true;
			}
		}
		fclose($handle);
	}
	else
	{
		$return = false;
	}

	return $return;
}

function print_header($update)
{
	global $thisversion;
	if ($update)
	{
		global $_SESSION, $myversion;

		return '<link rel="stylesheet" type="text/css" href="../themes/default/css/bootstrap.css"><link rel="stylesheet" type="text/css" href="../themes/default/css/bootstrap-responsive.css" ><link rel="stylesheet" type="text/css" href="../themes/default/css/style.css">
		<h1 align="center">uAuctions Updater, v' . check_version() . ' to v' . $thisversion . '</h1>';
	}
	else
	{
		return '<link rel="stylesheet" type="text/css" href="../themes/default/css/bootstrap.css"><link rel="stylesheet" type="text/css" href="../themes/default/css/bootstrap-responsive.css" ><link rel="stylesheet" type="text/css" href="../themes/default/css/style.css">
		<h1 align="center">uAuctions Installer v' . $thisversion . '</h1>';
	}
}

function check_version()
{
	global $DBPrefix, $settings_version;

	// check if using an old version
	if (!isset($settings_version) || empty($settings_version))
	{
		$version = file_get_contents('thisversion.txt') or die('error');
		if($settings_version == $version && isset($version))
		{
			return $version;
		}
	}
	return $settings_version;
}

function check_installation()
{
	global $DBPrefix, $settings_version, $main_path;

	@include '../includes/config.inc.php';
	@mysql_connect($DbHost, $DbUser, $DbPassword);
	@mysql_select_db($DbDatabase);
	$DBPrefix = (isset($DBPrefix)) ? $DBPrefix : '';
	// check uAuctions install...
	$query = "SELECT * FROM `" . $DBPrefix . "settings`";
	$res = @mysql_query($query);
	if ($res != false)
	{
		$settings_version = @mysql_result($res, 0, 'version');
		return true;
	}
	else
	{
		return false;
	}
}

function this_version()
{
	$string = file_get_contents('thisversion.txt') or die('error');
	return $string;
}

function show_config_table($fresh = true)
{
	$main_path = getmainpath();
	$data = '<form name="form1" method="post" action="?step=1">';
	$data .= '<table  style="width:70%; margin-left:35px" cellspacing="1" class="table table-bordered table-striped table-condensed" cellpadding="6">';
	$data .= '<tr>';
	$data .= '	<td colspan="3"><b>Server Details:</b></td>';
	$data .= '</tr>';
	$data .= '<tr>';
	$data .= '	<td width="140">URL</td>';
	$data .= '	<td width="108">';
	$data .= '	  <input type="text" name="URL" id="textfield" value="' . getdomainpath() . '">';
	$data .= '	</td>';
	$data .= '	<td rowspan="2">';
	$data .= '	  The url &amp; location of the uAuctions installation on your server. It\'s usually best to leave these as they are.<br>';
	$data .= '	  Also if your running on windows at the end of the <b>Doument Root</b> there should be a \\\\ (double backslash)';
	$data .= '	</td>';
	$data .= '  </tr>';
	$data .= '  <tr>';
	$data .= '	<td>Doument Root</td>';
	$data .= '	<td>';
	$data .= '	  <input type="text" name="mainpath" id="textfield" value="' . $main_path . '">';
	$data .= '	</td>';
	$data .= '</tr>';
	if ($fresh)
	{
		$data .= '<tr>';
		$data .= '	<td>Email Address</td>';
		$data .= '	<td>';
		$data .= '	  <input type="text" name="EMail" id="textfield">';
		$data .= '	</td>';
		$data .= '	<td>The admin email address</td>';
		$data .= '</tr>';
	}
	$data .= '<tr>';
	$data .= '	<td>Database Host</td>';
	$data .= '	<td>';
	$data .= '	  <input type="text" name="DBHost" id="textfield" value="localhost">';
	$data .= '	</td>';
	$data .= '	<td>The location of your MySQL database in most cases its just localhost</td>';
	$data .= '  </tr>';
	$data .= '  <tr>';
	$data .= '	<td>Database Username</td>';
	$data .= '	<td>';
	$data .= '	  <input type="text" name="DBUser" id="textfield">';
	$data .= '	</td>';
	$data .= '	<td rowspan="3">The username, password and database name of the database your installing uAuctions on</td>';
	$data .= '  </tr>';
	$data .= '  <tr>';
	$data .= '	<td>Database Password</td>';
	$data .= '	<td>';
	$data .= '	  <input type="text" name="DBPass" id="textfield">';
	$data .= '	</td>';
	$data .= '  </tr>';
	$data .= '  <tr>';
	$data .= '	<td>Database Name</td>';
	$data .= '	<td>';
	$data .= '	  <input type="text" name="DBName" id="textfield">';
	$data .= '	</td>';
	$data .= '  </tr>';
	$data .= '  <tr>';
	$data .= '	<td>Database Prefix</td>';
	$data .= '	<td>';
	$data .= '	  <input type="text" name="DBPrefix" id="textfield" value="uAuctions_">';
	$data .= '	</td>';
	$data .= '	<td>the prefix of the uAuctions tables in the database, used so you can install multiple scripts in the same database without issues.</td>';
	$data .= '</tr>';
	if ($fresh)
	{
		$data .= '<tr>';
		$data .= '	<td>Import Default Categories</td>';
		$data .= '	<td>';
		$data .= '	  <input type="checkbox" name="importcats" id="checkbox" checked="checked">';
		$data .= '	</td>';
		$data .= '	<td>Leaving this checked is recommened. But you make want to uncheck it if your auction site is a specalist niche and will need custom catergories.</td>';
		$data .= '</tr>';
	}

	if ($fresh)
	{
		$data .= '<tr>';
		$data .= '	<td colspan="3"><b>File Checks:</b></td>';
		$data .= '</tr>';
		$directories = array(
			'cache/',
			'uploaded/',
			'uploaded/avatar/',
			'uploaded/banners/',
			'uploaded/cache/',
			'uploaded/items/',
			'uploaded/logos/'
			);

		umask(0);

		$passed = true;
		foreach ($directories as $dir)
		{
			$exists = $write = false;

			// Try to create the directory if it does not exist
			if (!file_exists($main_path . $dir))
			{
				if($dir == 'uploaded/items/')
				{
					@mkdir($main_path . $dir, 0700);
					@chmod($main_path . $dir, 0700);
				}
				else
				{
					@mkdir($main_path . $dir, 0755);
					@chmod($main_path . $dir, 0755);
				}
			}
			else
			{
				if($dir == 'uploaded/items/')
				{
					@chmod($main_path . $dir, 0700);
				}
				else
				{
					@chmod($main_path . $dir, 0755);
				}
			}

			// Now really check
			if (file_exists($main_path . $dir) && is_dir($main_path . $dir))
			{
				$exists = true;
			}

			// Now check if it is writable by storing a simple file
			$fp = @fopen($main_path . $dir . 'test_lock', 'wb');
			if ($fp !== false)
			{
				$write = true;
			}
			@fclose($fp);

			@unlink($main_path . $dir . 'test_lock');

			if (!$exists || !$write)
			{
				$passed = false;
			}

			$data .= '<tr ><td colspan="2">' . $dir . ':</td><td colspan="3">';
			$data .= ($exists) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
			$data .= ($write) ? ', <strong style="color:green">Writable</strong>' : (($exists) ? ', <strong style="color:red">Unwritable</strong>' : '');
			$data .= '</tr>';
		}

		//check config file exists and is writable
		$write = $exists = true;
		if (file_exists($main_path . 'includes/config.inc.php'))
		{
			if (!@is_writable($main_path . 'includes/config.inc.php'))
			{
				$write = false;
			}
		}
		elseif (file_exists($main_path . 'includes/config.inc.php.new'))
		{
			if (!@is_writable($main_path . 'includes/config.inc.php.new'))
			{
				$write = false;
			}
		}
		else
		{
			$write = $exists = false;
		}

		if (!$exists || !$write)
		{
			$passed = false;
		}

		$data .= '<tr><td colspan="2">includes/config.inc.php.new:</td><td colspan="2">';
		$data .= ($exists) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= ($write) ? ', <strong style="color:green">Writable</strong>' : (($exists) ? ', <strong style="color:red">Unwritable</strong>' : '');
		$data .= '</tr>';

		$directories = array(
			'includes/countries.inc.php',
			'includes/currencies.php',
			'includes/membertypes.inc.php',
			'language/EN/categories.inc.php',
			'language/EN/categories_select_box.inc.php'
			);

		foreach ($directories as $dir)
		{
			$write = $exists = true;
			if (file_exists($main_path . $dir))
			{
				if (!@is_writable($main_path . $dir))
				{
					$write = false;
				}
			}
			else
			{
				$write = $exists = false;
			}

			if (!$exists || !$write)
			{
				$passed = false;
			}

			$data .= '<tr><td colspan="2">' . $dir . ':</td><td colspan="2">';
			$data .= ($exists) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
			$data .= ($write) ? ', <strong style="color:green">Writable</strong>' : (($exists) ? ', <strong style="color:red">Unwritable</strong>' : '');
			$data .= '</tr>';
		}
		
		$data .= '<tr><td colspan="2">PHP Version must be higher than 5.3.x:</td><td colspan="2">';
		$data .= (phpversion() > '5.3.0') ? '<strong style="color:green">' . phpversion() . '</strong>' : '<strong style="color:red">' . phpversion() . '</strong>';
		$data .= '</tr>';

		$data .= '<tr><td colspan="2">GD Support:</td><td>';
		$data .= (extension_loaded('gd') && function_exists('gd_info')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';

		$data .= '<tr><td colspan="2">BC Math Support:</td><td colspan="2">';
		$data .= (extension_loaded('bcmath')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';
		
		$data .= '<tr><td colspan="2">PHP Data Objects (PDO) Support:</td><td colspan="2">';
		$data .= (extension_loaded('pdo')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';
		
		$data .= '<tr><td colspan="2">MBString Support:</td><td colspan="2">';
		$data .= (extension_loaded('mbstring')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';
		
		$data .= '<tr><td colspan="2">Mcrypt Encrypt Support:</td><td colspan="2">';
		$data .= (function_exists('mcrypt_encrypt')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';
				
		$data .= '<tr><td colspan="2">allow_url_fopen Support:</td><td>';
		$data .= (ini_get('allow_url_fopen')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';

		$data .= '<tr><td colspan="2">fopen Support:</td><td>';
		$data .= (function_exists('fopen')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';
		
		$data .= '<tr><td colspan="2">fread Support:</td><td>';
		$data .= (function_exists('fread')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';

		$data .= '<tr><td colspan="2">file_get_contents Support:</td><td>';
		$data .= (function_exists('file_get_contents')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';
		
		$data .= '<tr><td colspan="2">curl Support:</td><td>';
		$data .= (function_exists('curl_init') && function_exists('curl_setopt') && function_exists('curl_exec') && function_exists('curl_close')) ? '<strong style="color:green">Found</strong>' : '<strong style="color:red">Not Found</strong>';
		$data .= '</tr>';
	}

	if ($fresh && $passed || !$fresh)
	{
		$data .= '<tr><td colspan="3"><input type="submit" class="btn btn-primary" value="install"></td></tr>';
	}
	$data .= '</table>';
	$data .= '</form>';
	
	return $data;
}

function search_cats($parent_id, $level)
{
	global $DBPrefix, $catscontrol;
	$root = $catscontrol->get_virtual_root();
	$tree = $catscontrol->display_tree($root['left_id'], $root['right_id'], '|___');
	foreach ($tree as $k => $v)
	{
		$catstr .= ",\n" . $k . " => '" . $v . "'";
	}
	return $catstr;
}

function rebuild_cat_file()
{
	global $system, $main_path, $DBPrefix;
	$query = "SELECT cat_id, cat_name, parent_id FROM " . $DBPrefix . "categories ORDER BY cat_name";
	$result = mysql_query($query);
	$cats = array();
	while ($catarr = mysql_fetch_array($result))
	{
		$cats[$catarr['cat_id']] = $catarr['cat_name'];
		$allcats[] = $catarr;
	}

	$output = "<?php\n";
	$output.= "$" . "category_names = array(\n";

	$num_rows = count($cats);

	$i = 0;
	foreach ($cats as $k => $v)
	{
		$output .= "$k => '$v'";
		$i++;
		if ($i < $num_rows)
			$output .= ",\n";
		else
			$output .= "\n";
	}

	$output .= ");\n\n";

	$output .= "$" . "category_plain = array(\n0 => ''";

	$output .= search_cats(0, 0);

	$output .= ");\n?>";

	$handle = fopen ($main_path . 'language/' . $system->SETTINGS['defaultlanguage'] . '/categories.inc.php', 'w');
	fputs($handle, $output);
}
?>