<?php
/*******************************************************************************
 *   copyright				: (C) 20011 - 2014 u-Auctions
 *   site					: http://www.u-auctions.com
 *******************************************************************************/

/*******************************************************************************
 *   This uAuctions is a Paid version of u-Auctions script.
 *   You are not allowed to resell/sell this script is  copyrighted to u-auctions.com.
 *   If you have been sold this script from a 3rd party and not from the 
 *   http://u-auctions.com website or https://ubidzz.com ask for a refund.
 *******************************************************************************/
/*******************************************************************************
 * If you bought this script from the https://u-Auctions.com website or https://ubidzz.com 
 * Please register at http://u-auctions.com/forum and contact the u-Auctions admin  
 * at http://u-auctions.com/forum with your order number and full name so we can change 
* your group to premium so you can view the paid area on the forums.
 *******************************************************************************/

if (!defined('InuAuctions')) exit();

// CHARSET ENCODING
// Change the charset according to the language used in this file.
$CHARSET = "UTF-8";
// DOCUMENT DIRECTION
// Change the $DOCDIR variable below according to the document direction needed
// by the language you are using.
// Possible values are:
// - ltr (default) - means left-to-right document (almost any language)
// - rtl - means right-to-left document (i.e. arabic, hebrew, ect).
$DOCDIR = "ltr";
// Error messages and user interface messages are below. Translate them taking care of leaving
// The PHP and HTML tags unchanged.
// Error messages =============================================================
$ERR_001 = "Database access error. Please contact the site administrator.";
$ERR_002 = "Name missing";
$ERR_003 = "Username missing";
$ERR_004 = "Password missing";
$ERR_005 = "Please, repeat your password";
$ERR_006 = "Passwords do not match";
$ERR_007 = "E-mail address missing";
$ERR_008 = "Please, insert a valid e-mail address";
$ERR_009 = "The username already exists in the database";
$ERR_010 = "Username too short (min %s chars)";
$ERR_011 = "Password too short (min %s chars)";
$ERR_012 = "Address missing";
$ERR_013 = "City missing";
$ERR_014 = "Country missing";
$ERR_015 = "ZIP/Post code missing";
$ERR_016 = "Please, insert a valid ZIP/Post code";
$ERR_017 = "Item's title missing";
$ERR_018 = "Item's description missing";
$ERR_019 = "Starting bid missing";
$ERR_020 = "Minimum quantity field is not correct";
$ERR_021 = "Reserve price missing";
$ERR_022 = "The reserve price you inserted is not correct";
$ERR_023 = "Choose a category for your item";
$ERR_024 = "Choose a payment method";
$ERR_025 = "Invalid user";
$ERR_026 = "Password incorrect";
$ERR_027 = "Currency symbol missing";
$ERR_028 = "Please, insert a valid e-mail address";
$ERR_029 = "User data are already registered";
$ERR_030 = "Fields must be numeric and in nnnn.nn format";
$ERR_031 = "The form you are submitting is not complete";
$ERR_032 = "One or both the e-mail addresses are not correct";
$ERR_033 = "Invalid confirmation link";
$ERR_034 = "Your bid must be at least: ";
$ERR_035 = "Days field must be numeric";
$ERR_036 = "The seller cannot bid in his/her own auctions";
$ERR_037 = "Search keyword cannot be empty";
$ERR_038 = "Login incorrect";
$ERR_039 = "You have already confirmed your registration.";
$ERR_040 = "You are the winning bidder and cannot place a bid lower than your previous maximum bid.";
$ERR_041 = "Please, choose a rate between 1 and 5";
$ERR_042 = "You comment is missing";
$ERR_043 = "Invalid field format: must be numeric";
$ERR_044 = "A user must be a member of atleast one group";
$ERR_047 = "Required fields missing";
$ERR_048 = "Incorrect login";
$ERR_049 = "The category's name cannot be empty";
$ERR_050 = "At least one group must have Auto Join enabled";
$ERR_051 = "Please, insert a valid number of digits";
$ERR_054 = "Please, fill in both the password fields";
$ERR_055 = "User <i>%s</i> already exists in the database";
$ERR_056 = "Bid increment value missing";
$ERR_057 = "Bid increment values must be numeric";
$ERR_058 = "Incorrect money format.";
$ERR_059 = "Your previous bid for this auction is higher than your current bid.<br>  In Dutch Auctions you may not place a bid if your previous <b>amount of bid times the quantity</b> is greater than your <b>amount of current bid times the quantity</b>.";
$ERR_060 = "The start date cannot be in the past.";
$ERR_061 = "The buy now price you inserted is not correct";
$ERR_062 = "You may not set a reserve price in a Dutch Auction";
$ERR_063 = "You may not use custom increment in a Dutch Auction";
$ERR_064 = "You may not use the Buy Now feature in a Dutch Auction";
$ERR_065 = "Error updating information";
$ERR_066 = "Error deleting information";
$ERR_067 = "Required fields missing (all fields are required).";
$ERR_068 = "Chosen theme does not exist";
$ERR_069 = "Currency conversion failed";
$ERR_070 = "This message doesn't exist";
$ERR_071 = "Username is invalid can only contain letters and numbers";
$ERR_072 = "You must enter a bid amount";
$ERR_073 = "You cannot bid on an auction that has not yet started";
$ERR_074 = "You have already left feedback on this transaction";
$ERR_075 = 'No bids';
$ERR_076 = 'Invalid Username/E-mail combination';
$ERR_077 = 'Valid Token Expired';
$ERR_078 = 'You must agree to the Terms and Conditions';
$ERR_079 = 'You must agree to the Cookies Policy';

$ERR_100 = "User does not exist";
$ERR_101 = "Password incorrect";
$ERR_102 = "User does not exist";
$ERR_103 = "You cannot rate yourself";
$ERR_104 = "All fields required";
$ERR_105 = "Username does not exist";
$ERR_106 = "<br><br>No user specified";
$ERR_107 = "Username is too short";
$ERR_108 = "Password is too short";
$ERR_109 = "Passwords do not match";
$ERR_110 = "E-mail address incorrect";
$ERR_111 = "Such a user already exists";
$ERR_112 = "Data missing";
$ERR_113 = "You must be at least 18 years old to register";
$ERR_114 = "No active auctions for this category";
$ERR_115 = "E-mail address already used";
$ERR_115_a = "The Email Domain Address that you entered is not permitted";
$ERR_115_b = "The payment info is already used";
$ERR_117 = "Invalid date of birth";
$ERR_122 = "No auction found";
$ERR_600 = 'Invalid auction type';
$ERR_601 = "Quantity field not correct";
$ERR_602 = "Images must be GIF, JPG or PNG";
$ERR_603 = "The image is too large.";
$ERR_606 = "Invalid auction";
$ERR_607 = "Your bid is below the minimum bid";
$ERR_608 = "The specified quantity is not valid, you cannot bid for more items than are available";
$ERR_608a = "The specified quantity is not valid, please enter a valid amount";
$ERR_609 = "User does not exist";
$ERR_610 = "Fill in your username and password";
$ERR_611 = "Password incorrect";
$ERR_612 = "You cannot bid, you are the seller!";
$ERR_614 = "This auction is closed";
$ERR_616 = "Zip/Post code too short";
$ERR_617 = "Telephone number incorrect";
$ERR_618 = "Your account has been suspended by admin.";
$ERR_619 = "This auction has been suspended";
$ERR_620 = "Your account has yet to be activated please check your emails for the activation link.";
$ERR_621 = "Your account has yet to be activated by admin.";
$ERR_622 = "No such auction.";
$ERR_623 = "The auction you are trying to find either never existed or has been removed.";
$ERR_624 = "No message to post";
$ERR_700 = "Incorrect date format";
$ERR_701 = "Invalid quantity (must be >0).";
$ERR_702 = "Current Bid must be greater than minimum bid.";
$ERR_704 = "<br>You may not leave feedback about this user! <br>This auction is not closed!";
$ERR_705 = "You may only leave feedback, if you have a closed transaction with this user!";
$ERR_706 = "<i>Max. number of pictures</i> must be numeric.";
$ERR_707 = "<i>Max picture size</i> cannot be zero.";
$ERR_708 = "<i>Max picture size</i> must be numeric.";
$ERR_709 = "The picture you uploaded is too big. It cannot exceed ";
$ERR_710 = "Wrong file type. Allowed types are: GIF, PNG and JPEG";
$ERR_711 = "You cannot buy, you are the seller!";
$ERR_712 = "<b>Buy It Now</b> is not available for this auction";
$ERR_713 = 'The value from must be less than the value to';
$ERR_714 = 'The relist value must be numeric';
$ERR_715 = 'You cannot choose to relist that many times';
$ERR_5000 = "Messages to show must be numeric";
$ERR_5001 = "Messages to show cannot be zero";
$ERR_5002 = "You must select at least one statistic type (accesses, browsers &amp; platforms, by country)";
$ERR_5014 = "Subject or message missing";
$ERR_5045 = "The reserve price cannot be less than the minimum bid";
$ERR_5046 = "The buy now price cannot be less than the minimum bid and/or the reserve price";
$ERR_25_0001 = "Please choose a sub-category";
$ERR_25_0002 = "<p>URL file-access is disabled on your server so uAuctions is unable to run the version check</p>";
$ERR_25_0003 = "Images must be .ico";
$ERR_25_0004 = "No digital item was uploaded";

// UI Messages =============================================================
$MSG['000'] = "n/a";
$MSG['001'] = "New user registration";
$MSG['002'] = "Your name";
$MSG['003'] = "Username";
$MSG['004'] = "Password";
$MSG['005'] = "Please, repeat your password";
$MSG['006'] = "Your e-mail address";
$MSG['007'] = "Submit";
$MSG['008'] = "Delete";
$MSG['009'] = "Address";
$MSG['010'] = "City";
$MSG['011'] = "State/Province";
$MSG['012'] = "ZIP/Post Code";
$MSG['013'] = "Telephone";
$MSG['014'] = "Country";
$MSG['015'] = "--Select here";
$MSG['016'] = 'We have sent a confirmation email to %s. This email contains an activation link to confirm your email address, simply click on the link to activate your %s account.<br> If you did not receive a confirmation email in your inbox please check your spam folder.';
$MSG['016_a'] = "The site admin will shortly review your account, once your account has been accepted by the admin you will be able to login";
$MSG['016_b'] = "You may now login using your username and password.";
$MSG['017'] = "Item title";
$MSG['018'] = "Item description";
$MSG['019'] = "Default Image";
$MSG['020'] = "Starting price";
$MSG['021'] = "Reserve price";
$MSG['022'] = "Duration";
$MSG['023'] = "Shipping fee";
$MSG['024'] = "Your new password";
$MSG['025'] = "Shipping conditions";
$MSG['026'] = "Payment methods";
$MSG['027'] = "Choose a category";
$MSG['028'] = "Sell an item";
$MSG['029'] = "No";
$MSG['030'] = "Yes";
$MSG['031'] = "Buyer pays shipping expenses";
$MSG['032'] = "Seller pays shipping expenses";
$MSG['033'] = "International shipping";
$MSG['034'] = "Preview auction";
$MSG['035'] = "Reset form";
$MSG['036'] = "Submit my data";
$MSG['037'] = "No image available";
$MSG['038'] = "Asking Price";
$MSG['039'] = "No reserve price";
$MSG['040'] = "Submit auction";
$MSG['041'] = "Item category";
$MSG['043'] = "Will NOT ship internationally";
$MSG['044'] = "Fill in your username and password and submit the form.";
$MSG['045'] = "Users management";
$MSG['046'] = "You can still <a class='btn btn-success' href='sell.php?mode=recall'>make changes</a> to your auction";
$MSG['047'] = " new";
$MSG['048'] = "User Registration Fields";
$MSG['049'] = "If you are not registered, ";
$MSG['050'] = "(min 6 chars)";
$MSG['051'] = "Main page";
$MSG['052'] = "Login";
$MSG['053'] = "Edit admin e-mail";
$MSG['054'] = "Submit new e-mail";
$MSG['055'] = "Edit the admin e-mail address below";
$MSG['056'] = "E-mail address updated";
$MSG['057'] = "Edit the currency symbol below";
$MSG['058'] = "Submit new currency";
$MSG['059'] = "Email Sent";
$MSG['060'] = "Currency symbol updated";
$MSG['067'] = "View Open Auctions";
$MSG['068'] = "Allow Custom Increments";
$MSG['069'] = "Auctions Duration";
$MSG['070'] = "User can set custom bid increments for thier auctions (this is the minimum difference between two bids)";
$MSG['071'] = "Update";
$MSG['072'] = " users are awaiting feedback from you";
$MSG['073'] = "Lines delete";
$MSG['074'] = "Use the checkbox Delete and the button DELETE to delete lines. Simply edit the text fields and press UPDATE to save the changes.";
$MSG['075'] = "Payment Methods";
$MSG['076'] = "Currency Symbol";
$MSG['077'] = "Edit admin e-mail address";
$MSG['078'] = "Categories Table";
$MSG['079'] = "Your Auction Has Closed";
$MSG['080'] = "Resynchronise or Reset Caches";
$MSG['081'] = "Countries Table";
$MSG['082'] = "Convert";
$MSG['083'] = "of this currency";
$MSG['084'] = "Message posted";
$MSG['085'] = "::: CURRENCY CONVERTER :::";
$MSG['086'] = "Categories table updated";
$MSG['087'] = "Description";
$MSG['088'] = "into this currency";
$MSG['089'] = "Process changes";
$MSG['090'] = "Countries table updated";
$MSG['091'] = "Change language";
$MSG['092'] = 'Edit, delete or add payment methods using the form below. These are alternative external payment options, to enable or disable the inbuilt payment gateways see the <a href="fee_gateways.php">payment gateway settings</a> page.';
$MSG['093'] = "Payment methods table updated";
$MSG['094'] = "Edit, delete or add countries using the form below.";
$MSG['095'] = "Welcome, You're Now A Member!";
$MSG['096'] = "Actual language";
$MSG['097'] = "Days";
$MSG['098'] = "Registration Confirmation";
$MSG['099'] = "Your Auction Has Been Confirmed";
$MSG['100'] = "<h3>Your auction has been setup. A confirmation e-mail will been sent to you.</h3>";
$MSG['100_b'] = "<h3>Your auction has been updated.</h3>";
$MSG['101'] = "View your auction";
$MSG['102'] = 'Yor auction (<b> %s </b>) will close %s';
$MSG['103'] = " Search ";
$MSG['104'] = "Browse ";
$MSG['105'] = "View history";
$MSG['106'] = "Send to a friend";
$MSG['107'] = "User's e-mail";
$MSG['108'] = "View picture";
$MSG['109'] = "Day";
$MSG['110'] = "Admin";
$MSG['111'] = "Auction started";
$MSG['112'] = "Auction ends";
$MSG['113'] = "Auction ID";
$MSG['114'] = "No picture available";
$MSG['115'] = "Bid now!";
$MSG['116'] = "Current Bid";
$MSG['117'] = "Higher bidder";
$MSG['118'] = "Ends within";
$MSG['119'] = "# of bids";
$MSG['120'] = "Bid increment";
$MSG['121'] = "Place Your Bid Here:";
$MSG['122'] = "Edit, delete or add auction durations using the form below";
$MSG['123'] = "Durations table updated";
$MSG['124'] = "Minimum bid";
$MSG['125'] = "Seller";
$MSG['126'] = " days, ";
$MSG['126b'] = " day, ";
$MSG['126a'] = "days ago";
$MSG['127'] = "Starting Bid";
$MSG['128'] = "Bid Increments";
$MSG['129'] = "ID";
$MSG['130'] = "Bid";
$MSG['131'] = "Buyer";
$MSG['132'] = "Categories Translation Table";
$MSG['133'] = "Bid increments table";
$MSG['135'] = "Edit, delete or add increments using the form below.<br>
			Be careful, there's no control over the table's values congruence.
			You must take care to check it yourself. The only data check performed is over the fields content (must be numeric) but the relation between them is not checked.";
$MSG['136'] = "and";
$MSG['137'] = "Increment";
$MSG['138'] = "Back to the auction";
$MSG['139'] = "Send this auction to a friend";
$MSG['140'] = "Your friend's name";
$MSG['141'] = "Your friend's e-mail";
$MSG['142'] = "Enable Featured Items";
$MSG['143'] = "Your e-mail";
$MSG['144'] = "Add a comment";
$MSG['145'] = "Send to your friend";
$MSG['146'] = "This auction has been sent to ";
$MSG['147'] = "Send to another friend";
$MSG['148'] = "Help";
$MSG['149'] = "You can contact this user using the form below.";
$MSG['150'] = "Send request";
$MSG['151'] = " The e-mail you requested is ";
$MSG['152'] = "Confirm your bid";
$MSG['153'] = "To bid you must be registered.";
$MSG['154'] = "You Are Bidding on:";
$MSG['155'] = "Item:";
$MSG['156'] = "Your bid:";
$MSG['157'] = "Allows sellers to make their auctions featured on the homepage and category pages";
$MSG['158'] = "Submit my bid";
$MSG['159'] = "Bidder:";
$MSG['160'] = "Increments table updated";
$MSG['160_a'] = "New increment was added to the increments table";
$MSG['160_b'] = "The increments was deleted from the increments table";
$MSG['161'] = "Edit, delete or add categories using the form below.";
$MSG['162'] = "Enable Highlighted Items";
$MSG['163'] = "Register!";
$MSG['164'] = "Allows sellers to make their auctions highlighted (displayed listing in a different colour in search results etc)";
$MSG['165'] = "Category: ";
$MSG['166'] = "Home";
$MSG['167'] = "Picture";
$MSG['168'] = "Auction";
$MSG['169'] = "Actual bid";
$MSG['170'] = "Bids #";
$MSG['171'] = "Ends in";
$MSG['171a'] = "Ended";
$MSG['172'] = "No active auctions in this category";
$MSG['173'] = "Search result: ";
$MSG['174'] = "Enable Bold Items";
$MSG['175'] = "Date and hour";
$MSG['176'] = "Bidder";
$MSG['177'] = "Categories index";
$MSG['178'] = "Contact the bidder";
$MSG['179'] = "To get another user's e-mail address, just fill in your username and password.";
$MSG['180'] = " is:";
$MSG['181'] = "User's login";
$MSG['182'] = "Edit your personal data";
$MSG['183'] = "Your data has been updated";
$MSG['184'] = "Categories table has been updated.";
$MSG['185'] = "Currently viewing feedback for ";
$MSG['186'] = "<a href=\"javascript:history.back()\">Back</a>";
$MSG['187'] = "Your username";
$MSG['188'] = "Your password";
$MSG['189'] = "Total Due";
$MSG['190'] = "Your item's category";
$MSG['191'] = "Your copyright message";
$MSG['192'] = "This is a message that is added to the bottom of every page";
$MSG['193'] = "Auction's duration";
$MSG['194'] = "Allows sellers to make their auctions bold (displayed listing in bold in search results etc)";
$MSG['195'] = "Picture's URL";
$MSG['196'] = "Item's description";
$MSG['197'] = "Auction's title";
$MSG['198'] = "No items found";
$MSG['199'] = "Search";
$MSG['200'] = "Hello, ";
$MSG['201'] = "new user";
$MSG['202'] = "User's data";
$MSG['203'] = "Active auctions";
$MSG['204'] = "Closed auctions";
$MSG['205'] = "Your Control Panel";
$MSG['206'] = "User's profile";
$MSG['207'] = "Leave Feedback";
$MSG['208'] = "View Feedback";
$MSG['209'] = "Registered user since: ";
$MSG['210'] = "Contact ";
$MSG['211'] = "Start auction now";
$MSG['212'] = "Auctions:";
$MSG['213'] = "View Active Auctions";
$MSG['214'] = "View Closed Auctions";
$MSG['215'] = "Forgot your password?";
$MSG['216'] = "If you have lost or forgotten your password, please fill in your username and e-mail below.<br>A new password will be generated for you";
$MSG['217'] = "A new password has been sent to your e-mail address.";
$MSG['218'] = "View user's profile";
$MSG['219'] = "Active auctions: ";
$MSG['220'] = "Closed auctions: ";
$MSG['221'] = "User login";
$MSG['222'] = "User Feedback";
$MSG['223'] = "Leave your comment";
$MSG['224'] = "Choose a rate between 1 and 5";
$MSG['225'] = "Thanks for leaving your comment";
$MSG['226'] = "Your rating ";
$MSG['227'] = "Your comment ";
$MSG['228'] = "Valued by ";
$MSG['229'] = "Newest feedback:";
$MSG['230'] = "View all feedback";
$MSG['231'] = "REGISTERED USERS";
$MSG['232'] = "AUCTIONS ";
$MSG['233'] = "More";
$MSG['234'] = "&lt;&lt; Back";
$MSG['235'] = "Register now";
$MSG['236'] = "Bidder Privacy";
$MSG['237'] = "Activate Bidder Privacy?";
$MSG['238'] = "When you activate this option the bidders identity is hidden to everyone but the seller of the item";
$MSG['239'] = "Auctions";
$MSG['240'] = "From";
$MSG['241'] = "To";
$MSG['242'] = "Sent";
$MSG['243'] = "If you want to change your password, please fill in the two fields below. Otherwise leave them blank.";
$MSG['244'] = "Edit Settings";
$MSG['245'] = "Logout";
$MSG['246'] = "Logged in";
$MSG['247'] = "Bidder Privacy Settings Updated";
$MSG['248'] = "Confirm your registration";
$MSG['249'] = "Confirm";
$MSG['250'] = "Refuse";
$MSG['251'] = "---- Select here";
$MSG['252'] = "Date of Birth";
$MSG['253'] = "(mm/dd/yyyy)";
$MSG['254'] = "Suggest a new category";
$MSG['255'] = "Auction's ID";
$MSG['256'] = "Or select the image you want to upload (optional)";
$MSG['257'] = "Auction's type";
$MSG['258'] = "Items quantity";
$MSG['259'] = "Item";
$MSG['260'] = "Or start at:";
$MSG['261'] = "Auction type";
$MSG['262'] = "Your suggestion";
$MSG['263'] = "Fee Amount";
$MSG['264'] = "You still can ";
$MSG['265'] = "make changes";
$MSG['266'] = " to this auction";
$MSG['267'] = "If you reached this page, you or someone claiming to be you, signed up at this site.<br>To confirm your registration simply press the <b>Confirm</b> button below.<br>If you didn't want to register and want to delete your data from our database, use the <b>Refuse</b> button.";
$MSG['268'] = "Additional options";
$MSG['269'] = "Your bid has been registered";
$MSG['270'] = "Back";
$MSG['271'] = "Your bid has been processed";
$MSG['272'] = "Auction:";
$MSG['273'] = "Make featured";
$MSG['274'] = "Make bold";
$MSG['275'] = "Go!";
$MSG['276'] = "Categories";
$MSG['277'] = "All Categories";
$MSG['278'] = "Latest Auctions";
$MSG['279'] = "Hot Items";
$MSG['280'] = "Next Ending!";
$MSG['281'] = "Help Column";
$MSG['282'] = "News";
$MSG['283'] = "minimum";
$MSG['284'] = "Quantity";
$MSG['285'] = "Go back";
$MSG['286'] = " and specify a valid bid.";
$MSG['287'] = "Category";
$MSG['288'] = "Search keyword(s) cannot be empty";
$MSG['289'] = "Total pages:";
$MSG['290'] = "Total items:";
$MSG['291'] = "items per page shown";
$MSG['292'] = "Make highlighted";
$MSG['293'] = "NICK";
$MSG['294'] = "NAME";
$MSG['295'] = "COUNTRY";
$MSG['296'] = "E-MAIL";
$MSG['297'] = "ACTION";
$MSG['298'] = "Edit";
$MSG['299'] = "Activate User";
$MSG['300'] = "Suspend";
$MSG['301'] = "users found in the database";
$MSG['302'] = "Name";
$MSG['303'] = "E-mail";
$MSG['304'] = "Delete User";
$MSG['305'] = "Suspend User";
$MSG['306'] = "Reactivate User";
$MSG['307'] = "Are you sure you want to delete this user?";
$MSG['308'] = "Are you sure you want to suspend this user?";
$MSG['309'] = "Are you sure you want to reactivate this user?";
$MSG['310'] = "Reactivate";
$MSG['311'] = "auctions found in the database";
$MSG['312'] = "Title";
$MSG['313'] = "User";
$MSG['314'] = "Date";
$MSG['319'] = "Shipping";
$MSG['321'] = "Suspend auction";
$MSG['322'] = "Reactivate auction";
$MSG['323'] = "Are you sure you want to suspend this auction?";
$MSG['324'] = "Are you sure you want to reactivate this auction?";
$MSG['325'] = "Delete auction";
$MSG['326'] = "Are you sure you want to delete this auction?";
$MSG['328'] = "Colour";
$MSG['329'] = "Image Location";
$MSG['330'] = "Thank you for confirming your registration!<br>The registration process completed and you can now participate in our site's activities.<br>";
$MSG['331'] = "Your registration has been deleted permanently from our database.";
$MSG['332'] = "Subject";
$MSG['333'] = "Message";
$MSG['334'] = "Contact with";
$MSG['335'] = "Contact from ";
$MSG['336'] = "regarding your auction: ";
$MSG['337'] = "Your message has been sent to ";
$MSG['337_1'] = "Here is the download link for the ";
$MSG['340'] = "From";
$MSG['341'] = "View all news";
$MSG['342'] = " News";
$MSG['343'] = "Edit news";
$MSG['344'] = "Time Settings";
$MSG['345'] = "Choose the time zone you want all the times on your site to be in";
$MSG['346'] = "Time Zone";
$MSG['347'] = "Time settings updated";
$MSG['348'] = "Batch Procedures Settings";
$MSG['349'] = "Reply";
$MSG['351'] = "Back to inbox";
$MSG['352'] = "Email Format";
$MSG['354'] = "Closed Auctions";
$MSG['355'] = "Enable Buy it now only auto disable";
$MSG['356'] = "Buy it now only limit";
$MSG['357'] = "percent";
$MSG['358'] = "The Buy it now auto disable feature will automatically disable the buy it now only option on the sell page when or if the percentage of buy it now only auctions reach the set value, you may want to use this as a deterrent to stop people making lots of spam buy it now only auctions";
$MSG['359'] = " Updated";
$MSG['363'] = "Dates Format";
$MSG['364'] = "Date";
$MSG['365'] = "Admin Users";
$MSG['367'] = "New admin user";
$MSG['368'] = "Mass category add<br><span class=\"smallspan\">Just enter category names and put each category on a new line</span>";
$MSG['371'] = "uAuctions needs to periodically run <code>batch.php</code> to close expired auctions and send notification e-mails to the seller and/or the winner. The recommended way to run <code>batch.php</code> is to set up a <a href=\"https://www.u-auctions.com/wiki/doku.php?id=u-auctions_gsettings\" target=\"_blank\">cronjob</a> if you run a Unix/Linux server.<br>If for any reason you can't run a cronjob on your server, you can choose the <b>Non-batch</b> option below to have <code>batch.php</code> run by uAuctions itself: in this case <code>cron.php</code> will be run each time someone access your home page.";
$MSG['372'] = "Run cron";
$MSG['373'] = "Batch";
$MSG['374'] = "Non-batch";
$MSG['375'] = "According to the default in uAuctions's Settings, <code>cron.php</code> automatically deletes auctions older than 30 days.
			<br>You may change the time period below.";
$MSG['375_a'] = "According to the default in uAuctions's Settings, <code>cron.php</code> automatically deletes unpaid auctions older than 30 days. <b>This helps keep your Winners table clean.</b>
			<br>You may change the time period below.";
$MSG['376'] = "Delete auctions older than";
$MSG['376_a'] = "Delete unpaid auctions older than";
$MSG['377'] = " days";
$MSG['378'] = "Batch settings updated.";
$MSG['379'] = "Choose the format you want date to appear on your site.";
$MSG['382'] = "mm/dd/yyyy";
$MSG['383'] = "dd/mm/yyyy";
$MSG['384'] = "Date format updated.";
$MSG['385'] = "Recent Feedback";
$MSG['386'] = "Last Month";
$MSG['387'] = "Last Six Months";
$MSG['388'] = "Last Twelve Months";
$MSG['389'] = "Feedback As Seller";
$MSG['390'] = "Feedback As Buyer";
$MSG['391'] = "Amount";
$MSG['392'] = "Fee Type";
$MSG['393'] = "flat";
$MSG['394'] = "Add";
$MSG['395'] = "Enable/Disable Fees";
$MSG['396'] = "Fee Settings Updated";
$MSG['397'] = "Do you want your auction site to be completely free or do you want to charge for it";
$MSG['398'] = "Send Newsletter";
$MSG['399'] = "Search for it!";
$MSG['400'] = "E-mail address";
$MSG['401'] = "Privacy Policy";
$MSG['402'] = "Privacy Policy Page";
$MSG['403'] = "Activate Privacy Policy Page?";
$MSG['404'] = "Privacy Policy content<br>(HTML allowed)";
$MSG['405'] = "Activate this option if you want a Privacy Policy link to appear in the footer of your pages.";
$MSG['406'] = "Privacy Policy Settings Updated";
$MSG['409'] = "Error Handling";
$MSG['410'] = "Fatal errors that occur during uAuctions's execution (typically MySQL errors) will redirect users to an error page.
			You can customise the error message you want to appear in the error page below.";
$MSG['411'] = "Error Text";
$MSG['412'] = "Error E-mail Address";
$MSG['413'] = "Error Handling settings updated.";
$MSG['415'] = "Error";
$MSG['417'] = "General";
$MSG['418'] = "Are you sure you want to activate this user?";
$MSG['419'] = "Are you sure you want to delete this user? All their auctions and bids will be deleted and this cannot be undone";
$MSG['420'] = "The user is the SELLER in the following auctions:<br>";
$MSG['421'] = "The user has placed bids on %s auction(s).";
$MSG['422'] = "Outstanding payments";
$MSG['423'] = "Payment Success";
$MSG['424'] = "Your payment has been confirmed.<br><br>Thank you for your business.";
$MSG['425'] = "Payment Failure";
$MSG['426'] = "Your payment hasn't been registered, or was invalid.<br> <br> Sorry for the inconvenience.";
$MSG['427'] = "Enable Proxy Bidding";
$MSG['428'] = "Enable/ Disable the proxy bidding feature";
$MSG['429'] = "There were no bids or reserve price was not met";
$MSG['430'] = "User Signup Fee";
$MSG['431'] = "Auction Fees";
$MSG['432'] = "Auction Setup Fee";
$MSG['433'] = "Home Page Featured Fee";
$MSG['434'] = "Highlighted Item Fee";
$MSG['435'] = "Image Upload Fee";
$MSG['436'] = "Buy Now Fee";
$MSG['437'] = "Relist Fee";
$MSG['439'] = "Bold Item Fee";
$MSG['440'] = "Reserve Price Fee";
$MSG['441'] = "Please create your username and password for the Admin Area and User Area";
$MSG['442'] = "Please enter your username and password";
$MSG['443'] = "%s currently has a full inbox at the moment please try again later";
$MSG['444'] = "Messages deleted";
$MSG['445'] = "Payments Gateways";
$MSG['446'] = "Required?";
$MSG['447'] = "Enabled?";
$MSG['448'] = "User Groups";
$MSG['449'] = "Group ID";
$MSG['450'] = "Group Name";
$MSG['451'] = "User Count";
$MSG['452'] = "Add/ Edit Group";
$MSG['453'] = "Winners details";
$MSG['454'] = "Auctions you won";
$MSG['455'] = "Winner";
$MSG['456'] = "Winner's E-mail";
$MSG['457'] = "Winner's Bid";
$MSG['458'] = "Auction: ";
$MSG['460'] = "Seller's E-mail";
$MSG['461'] = "Your Highest Bid";
$MSG['464'] = "Advanced Search";
$MSG['471'] = "New Auction Notifications";
$MSG['472'] = "Watchlist";
$MSG['496'] = "Buy Now";
$MSG['497'] = "Buy Now Price";
$MSG['498'] = "Item purchased successfully<br>";
$MSG['499'] = "Total neutral feedback received: ";
$MSG['500'] = "Total positive feedback received: ";
$MSG['501'] = "Total negative feedback received: ";
$MSG['502'] = "Total feedback received: ";
$MSG['503'] = "Feedback";
$MSG['504'] = "comment";
$MSG['505'] = "Back to user's profile";
$MSG['506'] = "sent feedback on: ";
$MSG['507'] = "Hide history";
$MSG['508'] = "new messages";
$MSG['509'] = "User's data";
$MSG['510'] = "There are currently no Reminders to display.";
$MSG['511'] = "Edit user";
$MSG['512'] = "Edit auction";
$MSG['514'] = "<b>Reserve not met</b>";
$MSG['515'] = 'Activate User';
$MSG['516'] = "News Management";
$MSG['517'] = " news items found in the database.";
$MSG['518'] = "Add new";
$MSG['519'] = "Title";
$MSG['520'] = "Content";
$MSG['521'] = "Activate";
$MSG['522'] = "Buyer fees due";
$MSG['523'] = "Final value fees due";
$MSG['524'] = "SETTINGS";
$MSG['525'] = "Admin users management";
$MSG['526'] = "General Settings";
$MSG['527'] = "Site name";
$MSG['528'] = "Site URL";
$MSG['530'] = "Save changes";
$MSG['531'] = "Your logo";
$MSG['532'] = "Display login box?";
$MSG['533'] = "Display news box?";
$MSG['534'] = "Show acceptance text?";
$MSG['535'] = "Your site's name will appear in the e-mail messages uAuctions sends to users";
$MSG['536'] = 'This must be the complete URL of your uAuctions installation.<br>Be sure to include the ending slash. <span style="color:red">Do not add http:// or https://</span>';
$MSG['537'] = "Select <b>Yes</b> if you want the users login box to be displayed in the Home page. Otherwise select <b>No</b>";
$MSG['538'] = "Select <b>Yes</b> if you want the news box to be displayed in the Home page. Otherwise select <b>No</b>";
$MSG['539'] = "Selecting the <b>Yes</b> option below will make uAuctions display the text you fill in the text box below in the users registration page just before the submit button.<br>
			This is typically used to display some legal notes users accept submitting the registration form.";
$MSG['540'] = "Admin e-mail";
$MSG['541'] = "The admin e-mail address is used to send automatic e-mail messages";
$MSG['542'] = "General settings updated";
$MSG['543'] = "Make this question public";
$MSG['544'] = "Money format";
$MSG['545'] = "US style: 1,250.00";
$MSG['546'] = "European style: 1.250,00";
$MSG['547'] = "Set to zero or leave blank if you don't want decimal digits in your money representation";
$MSG['548'] = "Decimal digits";
$MSG['549'] = "Symbol position";
$MSG['550'] = "Before the amount (i.e. USD 200)";
$MSG['551'] = "After the amount (i.e. 200 USD)";
$MSG['552'] = "Questions";
$MSG['553'] = "Currency settings updated";
$MSG['554'] = "Number of news you want to show";
$MSG['555'] = "Asker";
$MSG['556'] = "Current logo";
$MSG['557'] = "Item Details";
$MSG['558'] = "Created";
$MSG['559'] = "Last login";
$MSG['560'] = "Status";
$MSG['561'] = "DELETE";
$MSG['562'] = "Edit admin user";
$MSG['563'] = "If you want to change the user's password use the two fields below. To maintain the current password leave them blank.";
$MSG['564'] = "Repeat password";
$MSG['566'] = "active";
$MSG['567'] = "not active";
$MSG['568'] = "plus %s more";
$MSG['569'] = "Insert user";
$MSG['570'] = "Never logged in";
$MSG['578'] = "Can Sell";
$MSG['579'] = "Can Buy";
$MSG['580'] = "Auto Join";
$MSG['581'] = "Please proceed to one of the payment gateways listed below to pay the seller the amount of <b>%s</b>.";
$MSG['582'] = "Please proceed to one of the payment gateways listed below to credit your account by amount of <b>%s</b>.";
$MSG['583'] = "To activate your account please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['590'] = "To finalise your auction please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['591'] = "To finalise the relisting your auction(s) please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['592'] = "Logged in as:";
$MSG['593'] = "Reminders";
$MSG['594'] = "Acceptance text";
$MSG['597'] = "Activate banners support?";
$MSG['600'] = "Banners settings updated";
$MSG['602'] = "Upload a new logo (max. 50 KB)";
$MSG['603'] = "Receive Newsletter?";
$MSG['604'] = "If you activate this option, users will be able to subscribe to your newsletter from the registration page.<br>The \"Newsletter management\" will let you send e-mail messages to the subscribed users";
$MSG['605'] = "Message Body";
$MSG['606'] = "By clicking save changes the newsletter will be sent to all of the users who are signed up to receive the newsletter in the selected group.";
$MSG['607'] = "Newsletter Submission";
$MSG['608'] = "Would you like to receive our Newsletter?";
$MSG['609'] = "Check NO to unsubscribe to our Newsletter";
$MSG['610'] = "Make a selection in the image below of what you want to show in your thumbnail";
$MSG['611'] = "<b>This item has been viewed</b>";
$MSG['612'] = "<b>times</b>";
$MSG['613'] = "Thumbnail preview";
$MSG['614'] = "Use the built-in proportional increments table";
$MSG['615'] = "Use your custom fixed increment";
$MSG['616'] = "Save Thumbnail";
$MSG['617'] = "*NOTE*  If you want to change your password use the two fields below.<br>Otherwise leave them blank.";
$MSG['618'] = "Cancel";
$MSG['619'] = "Open Auctions";
$MSG['620'] = "Your bids";
$MSG['621'] = "Edit Your Account";
$MSG['622'] = "My control panel";
$MSG['623'] = "View Messages";
$MSG['624'] = "Auction Title";
$MSG['625'] = "Started";
$MSG['626'] = "Ends";
$MSG['627'] = "N. Bids";
$MSG['628'] = "Max. Bid";
$MSG['629'] = "*If you click cancel the thumbnail image for your auction will be a squashed down version of the image you uploaded/set as default";
$MSG['630'] = "Re-list";
$MSG['631'] = "Process selected auctions";
$MSG['631a'] = "Process selected";
$MSG['640'] = "The Dutch Auction you may not set a reserve price, custom increment amount, nor use the BUY NOW feature.";
$MSG['641'] = "Dutch auction";
$MSG['642'] = "Standard auction";
$MSG['645'] = "Post question for Seller";
$MSG['646'] = "You must be logged in to ask questions to the seller";
$MSG['647'] = "Ask";
$MSG['648'] = "Reply to questions";
$MSG['649'] = "Answer:";
$MSG['650'] = "Question:";
$MSG['651'] = "Question about your auction: %s";
$MSG['661'] = "Add Photo Gallery";
$MSG['662'] = "<h2>Create thumbnail</h2>";
$MSG['663'] = "Photo Gallery";
$MSG['664'] = "If you activate this option, sellers will be able to upload additional pictures up to the maximum you specify (see below).";
$MSG['665'] = "Activate Picture Gallery?";
$MSG['666'] = "Max. Number of pictures";
$MSG['667'] = "Viewing user: ";
$MSG['668'] = "This auction has not yet started.";
$MSG['671'] = "Max. pictures size";
$MSG['672'] = "Kbytes";
$MSG['673'] = "You can upload up to %s photos.<br> Each photo must be smaller than %s.";
$MSG['674'] = "You can only upload %s photos. Please remove some from the queue.";
$MSG['675'] = "You will be charged %s for each picture you upload.";
$MSG['677'] = "Upload Pictures";
$MSG['678'] = "Close";
$MSG['679'] = "Please, follow the steps below.";
$MSG['680'] = "Select the file to upload";
$MSG['681'] = "Upload file";
$MSG['682'] = "Repeat steps 1. and 2. for each picture. When finished click on the <i>Create Gallery</i> button below.<br>When you upload the first image or set one as the default you will need to create a thumbnail for it";
$MSG['683'] = "&gt;&gt;&gt; Create Gallery &lt;&lt;&lt;";
$MSG['684'] = "Filename";
$MSG['685'] = "Size (bytes)";
$MSG['686'] = "Default";
$MSG['687'] = "Uploaded Files";
$MSG['677_a'] = "Upload Item";
$MSG['688'] = "You already uploaded ";
$MSG['689'] = " files";
$MSG['694'] = "View Gallery";
$MSG['699'] = "Your bid of ";
$MSG['700'] = " has been entered. ";
$MSG['701'] = " Your bid was not enough to make you the highest bidder!<br>Would you like to bid again?";
$MSG['718'] = "Auction Type";
$MSG['719'] = "Payment Details";
$MSG['720'] = "PayPal Email Address";
$MSG['724'] = "Additional Information";
$MSG['725'] = "Optimisation";
$MSG['726'] = "Enable the template cache?";
$MSG['727'] = "This will massively increase the speed of your site. It is recommended this is only disabled when making updates to your template";
$MSG['728'] = "Optimisation settings updated";
$MSG['729'] = "Set payment type";
$MSG['730'] = "This is how users will pay the fees. Balance mode is where the users can choose when to pay and live payments is where the user must pay for every action that has a fee";
$MSG['731'] = "Balance mode";
$MSG['732'] = "Live payments";
$MSG['733'] = "The following settings are only used when in balance mode";
$MSG['734'] = "Maximum Debt";
$MSG['735'] = "The maximum debt an account can have before they must pay it back";
$MSG['736'] = "Signup Credit";
$MSG['737'] = "The credit given to an account on its creation";
$MSG['738'] = "Suspend Accounts";
$MSG['739'] = "Suspend Accounts that are over the Debit Limit";
$MSG['740'] = "None";
$MSG['741'] = "Image";
$MSG['742'] = "reCaptcha";
$MSG['743'] = "Captcha type on registration page";
$MSG['744'] = "Captcha type on send auction to friend page";
$MSG['745'] = "Captcha are used to prevent spam it is generally a good idea to enable some sort of captcha";
$MSG['746'] = "Recaptcha public key";
$MSG['747'] = "Recaptcha private key";
$MSG['748'] = 'To use reCaptcha you must create an account at <a href="https://www.google.com/recaptcha/intro/index.html" target="_blank">http://www.google.com/recaptcha/intro/index.html</a> and request keys for the domain this site is sitting';
$MSG['749'] = 'Spam settings';
$MSG['750'] = 'Spam settings updated';
$MSG['751'] = 'You cannot use reCaptcha without the two keys';
$MSG['752'] = 'The string you entered for the image verification did not match what was displayed.';
$MSG['753'] = 'Account Suspended';
$MSG['754'] = 'You have reached the debt limit allowed on your account; your account will be suspended until this is paid back.<br>You can this back <a href="outstanding.php">here</a>';
$MSG['755'] = 'Paid';
$MSG['756'] = 'Pay Now';
$MSG['757'] = 'Security Code';
$MSG['758'] = 'Verify Code';
$MSG['759'] = 'Enable';
$MSG['760'] = 'Disable';
$MSG['761'] = 'Fee Settings Updated';
$MSG['762'] = 'Fee Gateway Settings Updated';
$MSG['763'] = 'Balance';
$MSG['764'] = 'Send payment reminder';
$MSG['765'] = 'Payment reminder sent';
$MSG['766'] = 'Invoice';
$MSG['767'] = 'Click on the button on the right to proceed to PayPal';
$MSG['768'] = 'Signup Fee';
$MSG['769'] = 'Pay listing fee';
$MSG['770'] = 'Pay relist fee';
$MSG['771'] = 'Default Name';
$MSG['772'] = 'Translation';
$MSG['773'] = 'Authorize.net Login ID';
$MSG['774'] = 'Authorize.net Transaction Key';
$MSG['775'] = 'Buyer Fee';
$MSG['776'] = "To finalise the sale please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['777'] = 'You have an outstanding payment of the buyers fee for the item %s; your account will be suspended until this is paid. You can pay for this now at <a href="%s">Here</a>';
$MSG['778'] = 'If you wish to pay via an alternative method contact <a href="profile.php?user_id=%s">%s</a> to find out how.';
$MSG['779'] = 'User Registration Fields Updated';
$MSG['780'] = 'Show On Registration Page';
$MSG['781'] = 'Birthday Field Required?';
$MSG['782'] = 'Address Field Required?';
$MSG['783'] = 'City Field Required?';
$MSG['784'] = 'State/Province Field Required?';
$MSG['785'] = 'Country Field Required?';
$MSG['786'] = 'Zip/Post Code Field Required?';
$MSG['787'] = 'Telephone Field Required?';
$MSG['788'] = 'Display Settings';
$MSG['789'] = 'Results shown per page';
$MSG['790'] = 'The maximum number of items before a page break';
$MSG['791'] = 'Final Price Fee';
$MSG['792'] = 'You need to pay for %s item(s)';
$MSG['793'] = ' items you\'re bidding on are ending soon';
$MSG['794'] = 'You have been outbid on %s items';
$MSG['795'] = 'Display Settings Updated';
$MSG['796'] = 'You have an outstanding payment of the final value fee for the item %s; your account will be suspended until this is paid. You can pay for this now at <a href="%s">Here</a>';
$MSG['797'] = 'Enable subtitles';
$MSG['798'] = 'Allows sellers to add a subtitle to thier auction which will appear on all auction lists';
$MSG['799'] = 'Enable Secondary Category';
$MSG['800'] = 'Allows sellers to add their auction to multiple categories';
$MSG['801'] = 'Shared SSL URL';
$MSG['802'] = 'If you\'re using shared SSL enter the URL here';
$MSG['803'] = 'Subtitle Fee';
$MSG['804'] = 'Extra Category Fee';
$MSG['805'] = 'Skip step';
$MSG['806'] = 'Item subtitle';
$MSG['807'] = 'Front Page Settings';
$MSG['808'] = 'This is the size of the thumbnail that will appear on lists of auctions such as when a user does a search';
$MSG['809'] = 'A field must be shown if it\'s a required field';
$MSG['810'] = 'A valid PayPal email address is required';
$MSG['811'] = 'A valid AuthNet id and password are required';
$MSG['812'] = 'File Name:';
$MSG['813'] = 'File Content:';
$MSG['814'] = 'Second Category';
$MSG['815'] = 'Are you sure you want to activate this user?';
$MSG['816'] = 'Gallery';
$MSG['817'] = 'Prices';
$MSG['818'] = 'You do not have permission to list items';
$MSG['819'] = 'You do not have permission to buy items';
$MSG['820'] = 'Account selling permission request';
$MSG['821'] = 'A valid 2Checkout id is required';
$MSG['822'] = 'A valid skrill email address is required';
$MSG['823'] = 'A valid Worldpay id is required';
$MSG['824'] = 'Worldpay ID';
$MSG['825'] = 'Skrill Email Address';
$MSG['826'] = '2Checkout ID';
$MSG['827'] = 'Weekly Report';
$MSG['828'] = 'Week';
$MSG['829'] = 'View by ';
$MSG['830'] = 'Month';
$MSG['831'] = 'No IP addresses have been banned as of yet.';
$MSG['832'] = 'Are you sure you want to delete the news item \'%s\'';
$MSG['833'] = 'Are you sure you want to delete the auction \'%s\'';
$MSG['834'] = 'Are you sure you want to delete this message (ID: %s)';
$MSG['835'] = 'Are you sure you want to delete the user \'%s\'';
$MSG['836'] = 'Membertypes Updated';
$MSG['837'] = '(contains %s FAQs)';
$MSG['838'] = 'Are you sure you want to process the following categories: ';
$MSG['839'] = 'What do you want to do with the FAQs in the following categories';
$MSG['840'] = 'Move to ';
$MSG['841'] = 'Admin Templates';
$MSG['842'] = 'Set Fees';
$MSG['843'] = 'What do you want to do with the auctions & subcategories in the following categories<br><small>(If you want to move them you must enter the category id of where you want them moved)</small>';
$MSG['844'] = 'Some categories selected to move could not be processed as no valid category ID was given to where they would be moved to';
$MSG['845'] = '<p><img src="' . $system->SETTINGS['siteurl'] . 'themes/admin/images/bullet_blue.png"> Shows a category that contains children categories</p><p><img src="' . $system->SETTINGS['siteurl'] . 'themes/admin/images/bullet_red.png"> Shows a category that contains auctions</p>';
$MSG['846'] = 'Account Balance';
$MSG['847'] = 'Price';
$MSG['848'] = 'Are you sure you want to delete this user feedback (ID: %s)';
$MSG['849'] = 'Enable Auto-Relist';
$MSG['850'] = 'Allow users to automatically relist auctions if they end without a winner';
$MSG['851'] = 'Max Relists';
$MSG['852'] = 'Set the maximum times an auction can be automatically relisted';
$MSG['853'] = 'You are not currently watching any items';
$MSG['854'] = 'Accounts';
$MSG['855'] = 'Choose View';
$MSG['856'] = 'Select Period';
$MSG['857'] = 'Total Invoiced';
$MSG['858'] = 'I have read and agree to the <a href="' . $system->SETTINGS['siteurl'] . 'contents.php?show=terms" data-fancybox-type="iframe" class="infoboxs">Terms and Conditions</a>';
$MSG['858_a'] = 'I have read and agree to the <a href="' . $system->SETTINGS['siteurl'] . 'contents.php?show=cookies" data-fancybox-type="iframe" class="infoboxs">Cookies Policy</a>';
$MSG['859'] = 'Thank you %s for Registering.';
$MSG['860'] = '<p>In the meantime here are some tips to get you started with ' . $system->SETTINGS['sitename'] . '.</p>
<ul>
  <li>Have photos ready when listing an item to sell, reduce the filesize to save time when uploading.</li>
  <li>Featured auctions are much more likely to sell, your auction will be randomly featured on the ' . $system->SETTINGS['sitename'] . ' Home page.</li>
</ul>';
$MSG['861'] = 'Search auctions';
$MSG['862'] = 'Login to continue';
$MSG['863'] = '<h1>Not a Member yet?</h1>
        Register Now
        It will only take a minute
        <p> Becoming a member enables you to:</p>
        <ul>
            <li>Sell anything</li>
            <li>Be notified when an item your looking for is listed</li>
            <li>Add items to your watchlist</li>
            <li>Bid on items</li>
            <li>plus a whole lot more</li>
        </ul>
        <a style="color:white" class="btn btn-primary" href='.$system->SETTINGS['siteurl'].'new_account>Register Now</a>';
$MSG['864'] = 'Shipping Details';
$MSG['865'] = 'Listing Details';
$MSG['867'] = 'Pick up only';
$MSG['868'] = ' each';
$MSG['869'] = 'Sale Date';

$MSG['888'] = 'Error log is currently empty';
$MSG['889'] = "Error Log Purged";
$MSG['890'] = "Purge Log";
$MSG['891'] = "Error Log";
$MSG['892'] = "To be activated";
$MSG['893'] = "Total";
$MSG['894'] = "User Settings";
$MSG['895'] = "User Settings Updated";
$MSG['896'] = "This is the size of the thumbnail that will appear on the auctions listing page";
$MSG['897'] = "Additional auction options";
$MSG['898'] = "Paid";
$MSG['899'] = "Set as Paid";
$MSG['900'] = "View Winners";
$MSG['901'] = "Number of items";
$MSG['902'] = "HTML";
$MSG['903'] = "In which format do you want to receive your emails";
$MSG['904'] = "This auction is closed";
$MSG['905'] = "Someone Wants You To Check Out An Auction";
$MSG['906'] = "Your Bid Is No Longer The Winner";
$MSG['907'] = " - Your Item Sold!";
$MSG['908'] = " - No Winner";
$MSG['909'] = " Auction Closed - You Have Won Item";
$MSG['910'] = "No auctions exist for this user.";
$MSG['911'] = "closed";
$MSG['912'] = "Help Management";
$MSG['913'] = "topics found in the database";
$MSG['914'] = "Topic";
$MSG['915'] = "Text";
$MSG['916'] = "Help Topics Management";
$MSG['917'] = "Add help topic";
$MSG['918'] = "Other Help Topics:";
$MSG['919'] = "General Help";
$MSG['920'] = "Activate Buy Now?";
$MSG['921'] = "If you activate this option, users will be able to buy the item from the auction right away, if there are no bids placed for this item. This option must first be enabled by seller who opens the auction.";
$MSG['922'] = "Send question to seller";
$MSG['923'] = "Seller location";
$MSG['924'] = "Just Listed";
$MSG['925'] = "Closing Soon";
$MSG['926'] = "Big Ticket";
$MSG['927'] = "Very Expensive";
$MSG['928'] = "Cheap Items";
$MSG['929'] = "Popular Items";
$MSG['930'] = "Hot Items";
$MSG['931'] = "Buy Now";
$MSG['932'] = "Listings posted by %s";
$MSG['933'] = "Buy Now Only";
$MSG['934'] = "for user: ";
$MSG['935'] = 'Balance Payment';
$MSG['936'] = 'Some error has occurred with your submission please try again';
$MSG['937'] = "Name missing";
$MSG['938'] = "Username missing";
$MSG['939'] = "Password missing";
$MSG['940'] = "Please enter your password twice";
$MSG['941'] = "E-mail address missing";
$MSG['942'] = "Address missing";
$MSG['943'] = "City missing";
$MSG['944'] = "Province missing";
$MSG['945'] = "Country missing";
$MSG['946'] = "ZIP/Post code missing";
$MSG['947'] = "Telephone missing";
$MSG['948'] = "Birthdate missing or incomplete";
$MSG['949'] = "Closes on ";
$MSG['950'] = "%s bids";
$MSG['951'] = "No Buy Now<br>for this item";
$MSG['1000'] = "Search keywords or item number";
$MSG['1001'] = "Search Title <b>and</b> Description";
$MSG['1002'] = "Search in Categories";
$MSG['1003'] = "Price Range";
$MSG['1004'] = "Between";
$MSG['1005'] = " and ";
$MSG['1006'] = "Payment Choice";
$MSG['1008'] = "Located In";
$MSG['1009'] = "Ending";
$MSG['1010'] = "Today";
$MSG['1011'] = "Tomorrow";
$MSG['1012'] = "in 3 Days";
$MSG['1013'] = "in 5 Days";
$MSG['1014'] = "Sort by";
$MSG['1015'] = "Items Ending First";
$MSG['1016'] = "Newly Listed Items First";
$MSG['1017'] = "Lowest Prices First";
$MSG['1018'] = "Highest Prices First";
$MSG['1020'] = "Dutch Auction";
$MSG['1021'] = "Standard Auction";
$MSG['1022'] = "SSL Support";
$MSG['1023'] = "Activate SSL support?";
$MSG['1024'] = "<p>If you have SSL support on the server where you are running uAuctions, you may want to give your customers a safer environment to operate.</p>Once The SSL Support is activated, your users will operate under secure HTTPS transactions when they log in or register.";
$MSG['1025'] = "SSL settings updated";
$MSG['1028'] = "Counteries updated";
$MSG['1029'] = "Counters updated";
$MSG['1030'] = "Re-sync the user, auction and bid counters";
$MSG['1031'] = "Re-sync Counters";
$MSG['1032'] = "no winner";

// Invoices & tax system
$MSG['1033'] = 'Packingslip';
$MSG['1034'] = 'Auction ID';
$MSG['1035'] = 'Order/Invoice';
$MSG['1036'] = 'Order Date';
$MSG['1037'] = 'BUYER';
$MSG['1038'] = 'SHIP TO';
$MSG['1039'] = 'Invoice Information';
$MSG['1040'] = 'Order Details';
$MSG['1041'] = 'Invoice No.';
$MSG['1042'] = 'Order ID:';
$MSG['1043'] = 'Invoice Date:';
$MSG['1044'] = 'Product';
$MSG['1045'] = 'Tax';
$MSG['1046'] = 'Unit Price (excl.)';
$MSG['1047'] = 'Unit Price (incl.)';
$MSG['1048'] = 'Total (excl.)';
$MSG['1049'] = 'Total (incl.)';
$MSG['1050'] = 'Sub-Total:';
$MSG['1051'] = 'UK Shipping:';
$MSG['1052'] = 'VAT 20%:';
$MSG['1053'] = 'Total:';
$MSG['1054'] = 'Shipping Method';
$MSG['1055'] = 'Payment Method';
$MSG['1056'] = 'You didn\'t select any order to print Packingslip.';
$MSG['1057'] = 'List invoices';
$MSG['1058'] = 'View invoice';
$MSG['1059'] = 'Invoice List';
$MSG['1060'] = 'Invalid Invoice.';

// admin general
$MSG['1061'] = 'Notes';

// admin help page
$MSG['1062'] = 'Get Support';
$MSG['1063'] = 'Support forums';
$MSG['1064'] = 'If you any problems or questions head over our great support forum and get help from one of our many active users.';
$MSG['1065'] = 'Online documentation';
$MSG['1066'] = 'Unsure of how something works or where something is check out uAuctionss online documentation';
$MSG['1067'] = 'Commonly Asked Questions and Their Solutions';
$MSG['1068'] = 'Modify uAuctions';
$MSG['1069'] = 'Download Themes';
$MSG['1070'] = 'Browse the large collection of user submitted themes that can instantly spruce up any site';
$MSG['1071'] = 'Download Mods';
$MSG['1072'] = 'Browse the large collection of user submitted mods that can add or almost anything to get your site working just how you want it to';
$MSG['1073'] = 'Download Language Pack';
$MSG['1074'] = 'Browse the collection of user submitted translations';
$MSG['1075'] = 'Support uAuctions';
$MSG['1076'] = 'Submit a bug';
$MSG['1077'] = 'Found something functioning funny? Tell us about it, it will help others out too';
$MSG['1078'] = 'Suggest a feature';
$MSG['1079'] = 'Got a great idea of what could improve uAuctions tell us about it we alwayss want good ideas';
$MSG['1080'] = 'Donate';
$MSG['1081'] = 'Help keep us online and keep future developments coming';

// tax admin
$MSG['1082'] = 'Tax Name';
$MSG['1083'] = 'Tax Rates';
$MSG['1084'] = 'Sellers from';
$MSG['1085'] = 'Buyers from';
$MSG['1086'] = 'Site Tax';
$MSG['1087'] = 'Are you sre you want to delete this tax rate';
$MSG['1088'] = 'Tax Settings';
$MSG['1089'] = 'Tax settings updated';
$MSG['1090'] = 'Tax Enabled';
$MSG['1091'] = 'Global setting to enable or disable tax';
$MSG['1092'] = 'Users can charge tax';
$MSG['1093'] = 'Enable to give users an option to tax thier items';

// admin invoice settings
$MSG['1094'] = 'Invoice Settings';
$MSG['1095'] = 'Invoice settings updated';
$MSG['1096'] = 'Invoice Notice';
$MSG['1097'] = 'This will show in a yellow box above the end message on users invoices';
$MSG['1098'] = 'Invoice End Message';
$MSG['1099'] = 'This will show at the end of every users invoice';

// list admin users
$MSG['1100'] = 'You cannot delete the account you are currently logged in from';
$MSG['1101'] = 'Admin accounts deleted';

// sell.php tax
$MSG['1102'] = 'Charge Tax';
$MSG['1103'] = 'Include tax in final sell price';

$MSG['1104'] = 'Add to balance';
$MSG['1105'] = 'Select the images you wish to delete <strong>(This cannot be undone)</strong>';

$MSG['5003'] = "Site Settings";
$MSG['5004'] = "Currencies Settings";
$MSG['5005'] = "General Layout Settings";
$MSG['5006'] = "Picture Gallery Settings Updated";
$MSG['5008'] = "Site Currency";
$MSG['5010'] = "Currencies Converter";
$MSG['5011'] = "Home Page Featured Items";
$MSG['5012'] = "This is the number of featured items to show in the Home Page (NOTE: ONLY <b>featured</b> items will be displayed).<br>0 (zero) is permitted.";
$MSG['5013'] = "Last Created Items";
$MSG['5014'] = "This is the number of most recent items to show in the Home Page.<br>0 (zero) is permitted.";
$MSG['5015'] = "Hot Items";
$MSG['5016'] = "This is the number of items to show in the Hot Items list in the Home Page.<br>0 (zero) is permitted.";
$MSG['5017'] = "Next Ending";
$MSG['5018'] = "This is the number of items to show in the Next Ending list in the Home Page.<br>0 (zero) is permitted.";
$MSG['5019'] = "General Layout Settings Updated";
$MSG['5022'] = "USERS SEARCH";
$MSG['5023'] = "Search &gt;&gt;";
$MSG['5024'] = "Name, username or e-mail";
$MSG['5025'] = "Account";
$MSG['5028'] = "Action";
$MSG['5029'] = "GO >>";
$MSG['5030'] = "Message Boards";
$MSG['5031'] = "New Message Board";
$MSG['5032'] = "Message Boards Management";
$MSG['5033'] = "MESSAGE BOARDS LIST";
$MSG['5034'] = "Board Title";
$MSG['5035'] = "Messages to show";
$MSG['5036'] = "This is the number of most recent messages to show for this message board.";
$MSG['5038'] = "Active";
$MSG['5039'] = "Inactive";
$MSG['5040'] = "NOTE: deleting a message board will delete all the associated messages.";
$MSG['5043'] = "# MSGS";
$MSG['5044'] = "Selected boards removed";
$MSG['5046'] = "SHOW";
$MSG['5047'] = "Message Boards Settings";
$MSG['5048'] = "Activate Message Boards Service?";
$MSG['5051'] = "Message Boards Settings Updated";
$MSG['5052'] = "Edit Message Board";
$MSG['5053'] = "Last Message";
$MSG['5056'] = "You are not logged in.<br>If you post a message it will appear as posted by <b><i>Unknown user</i></b>.";
$MSG['5057'] = "Post Message";
$MSG['5058'] = "Back to message boards";
$MSG['5059'] = "Messages";
$MSG['5060'] = "Posted by ";
$MSG['5061'] = "Unknown user";
$MSG['5062'] = "View all messages";
$MSG['5063'] = "View Messages";
$MSG['5064'] = "Back to message board";
$MSG['5065'] = "Delete all messages older than";
$MSG['5067'] = "Update Counters ";
$MSG['5068'] = "Words Filter";
$MSG['5069'] = "The Words Filter option gives you the possibility to eliminate undesired words from:
<ul>
<li>TITLE and DESCRIPTION of the auctions.</li>
<li>Messages posted to the message boards</li>
</ul>";
$MSG['5070'] = "Enable Words Filter?";
$MSG['5071'] = "Undesired words list";
$MSG['5072'] = "Enter the undesired words one per line (max. 255 characters per line). Note that each line will be
treated like \"one word\".";
$MSG['5073'] = "Words Filter Settings Updated";
$MSG['5074'] = "About Us Page";
$MSG['5075'] = "Terms &amp; Conditions Page";
$MSG['5076'] = "Activate this option if you want an <u>About  us</u> link to appear in the footer of your pages.";
$MSG['5077'] = "Activate About us page?";
$MSG['5078'] = "About us page content";
$MSG['5079'] = "About us Settings Updated";
$MSG['5080'] = "Note: each new line character will be converted to <b>&lt;br&gt;</b> HTML tag.";
$MSG['5081'] = "Activate this option if you want a <u>Terms &amp; Conditions</u> link to appear in the footer of your pages.";
$MSG['5082'] = "Activate Terms &amp; Conditions page?";
$MSG['5083'] = "Terms &amp; Conditions page content<br>(HTML allowed)";
$MSG['5084'] = "Terms &amp; Conditions Settings Updated";
$MSG['5085'] = "About Us";
$MSG['5086'] = "Terms &amp; Conditions";
$MSG['5087'] = "Auction Settings";
$MSG['5088'] = "Auction Settings Updated";
$MSG['5089'] = "Users can set a custom start date for auctions";
$MSG['5090'] = "Allow Custom Start Date?";
$MSG['5091'] = "Hours until auction ends count-down";
$MSG['5092'] = "Auction Search";
$MSG['5093'] = "Title, Description";
$MSG['5094'] = "View auctions";
$MSG['5095'] = "Hours remaining on an auction until the time remaining becomes an automatic countdown timer";
$MSG['5113'] = "Change";
$MSG['5115'] = "days";
$MSG['5117'] = "Page";
$MSG['5118'] = "of";
$MSG['5119'] = "&lt;&lt;Prev";
$MSG['5120'] = "Next&gt;&gt;";
$MSG['5138'] = "Note: you can use the currency of your choice throughout the site.<br> All the amounts users will have to pay at PayPal will be automatically converted to USD using today's rate of exchange before being sent to the PayPal server.";
$MSG['5139'] = "Settings"; 
$MSG['5140'] = "Account Management";
$MSG['5141'] = "Access Statistics";
$MSG['5142'] = "Settings";
$MSG['5143'] = "View Access Statistics";
$MSG['5144'] = "Please, choose below if you want uAuctions to generate access statistics for your site.";
$MSG['5145'] = "Generate user access statistics";
$MSG['5146'] = "Generate browser and platform statistics";
$MSG['5148'] = "Statistics Settings Updated.";
$MSG['5149'] = "Activate Statistics?";
$MSG['5150'] = "Select which type of statistics you want to generate";
$MSG['5155'] = "Browsers";
$MSG['5156'] = "Platforms";
$MSG['5157'] = "Domains";
$MSG['5158'] = "Access Statistics for ";
$MSG['5159'] = "Day";
$MSG['5160'] = "View historic";
$MSG['5161'] = "Page views";
$MSG['5162'] = "Unique visitors";
$MSG['5163'] = "User sessions";
$MSG['5164'] = "Totals";
$MSG['5165'] = "View Browser Statistics";
$MSG['5167'] = "Browser Statistics for ";
$MSG['5169'] = "Browser";
$MSG['5170'] = "Domain";
$MSG['5180'] = "User";
$MSG['5181'] = "Add &gt;&gt;";
$MSG['5182'] = "Search user (nick, name or e-mail)";
$MSG['5183'] = "users found";
$MSG['5184'] = "SELECT";
$MSG['5185'] = "Nick";
$MSG['5187'] = "Edit content of list: ";
$MSG['5188'] = "Delete selected users";
$MSG['5189'] = "Submit Auction";
$MSG['5190'] = "Reset Fields";
$MSG['5199'] = "Confirm bid";
$MSG['5200'] = "Post question";
$MSG['5201'] = "Post message";
$MSG['5202'] = "Add to your watch list";
$MSG['5202_0'] = "Remove from your watch list";
$MSG['5204'] = "Insert";
$MSG['5205'] = "Enable/Disable";
$MSG['5220'] = "Max. 255 chars";
$MSG['5221'] = "Highlighted items background";
$MSG['5222'] = "<b>NOTE: Home page featured items are shown in the home page, in rows of two auctions wide, so this number should be an even number.</b>";
$MSG['5223'] = "Thumbnail width (This is best set at 195 pixels or less )";
$MSG['5224'] = "pixels";
$MSG['5225'] = "Home Page Featured Auctions";
$MSG['5227'] = "View Suspended Auctions";
$MSG['5228'] = "Show Home Page Logo?";
$MSG['5230'] = "FAQs Categories";
$MSG['5231'] = "New FAQ";
$MSG['5232'] = "Manage FAQs";
$MSG['5233'] = "Other Settings";
$MSG['5234'] = "Insert New Category";
$MSG['5235'] = "<b>Note</b>: only categories with no FAQs can be deleted.";
$MSG['5236'] = "FAQs";
$MSG['5237'] = "CAT. ID";
$MSG['5238'] = "FAQ's category";
$MSG['5239'] = "Question";
$MSG['5240'] = "Answer<br>(HTML allowed)";
$MSG['5241'] = "Edit FAQ";
$MSG['5243'] = "Help Index";
$MSG['5244'] = "AUCTIONS MANAGEMENT";
$MSG['5245'] = "Top";
$MSG['5276'] = "Delete Message";
$MSG['5277'] = "Back to Messages List";
$MSG['5278'] = "Edit Message";
$MSG['5279'] = "Back to the user list";
$MSG['5280'] = "Years/Months";
$MSG['5281'] = "Monthly Report";
$MSG['5282'] = "View current month";
$MSG['5283'] = "Edit FAQs Category";
$MSG['5284'] = "Category Name";
$MSG['5285'] = "Daily Report";
$MSG['5291'] = "Active users";
$MSG['5292'] = "Account never confirmed";
$MSG['5293'] = "Sign up fee not paid";
$MSG['5294'] = "Suspended by the admin";
$MSG['5295'] = "View";
$MSG['5296'] = "All users";
$MSG['5297'] = "Balance over debt limit";
$MSG['5299'] = "Limit submission to";
$MSG['5300'] = " messages sent.";
$MSG['5318'] = "View Platform Statistics";
$MSG['5322'] = "Default country";
$MSG['5321'] = "You can select a default country for your site.<br>It will automatically appear as the selected country in the countries select box throughout the site.";
$MSG['5323'] = "Default country updated";
$MSG['5408'] = "Max. ";
$MSG['5431'] = "Send me a new password";
$MSG['5436'] = "Tools";
$MSG['5438'] = "Platform Statistics for ";
$MSG['5492'] = "items";
$MSG['5493'] = "bid";
$MSG['5494'] = "bid for ";
$MSG['5495'] = "for each ";
$MSG['5506'] = "Positive feedback: ";
$MSG['5507'] = '<span style="color:#CD0000;">Negative feedback:</span> ';
$MSG['5508'] = "Member since ";
$MSG['5509'] = "Received Feedback ";
$MSG['_0001'] = "Under Maintenance Page";
$MSG['_0002'] = 'You can temporary disable the access to your site if necessary.<br>
         In Maintenance mode only one user will have access to it. After you registered a user via <a target="_new" href="' . $system->SETTINGS['siteurl'] . 'new_account">the usual users registration page</a>
         , insert below the username. After switching the site to Maintenance mode <a target="_new" href="' . $system->SETTINGS['siteurl'] . 'user_login.php">login here</a> to access the site.';
$MSG['_0004'] = "Under Maintenance HTML code";
$MSG['_0005'] = "Under Maintenance settings updated";
$MSG['_0006'] = "Switch site to \"Under Maintenance\" mode?";
$MSG['_0008'] = "Banners Administration";
$MSG['_0010'] = "BANNERS";
$MSG['_0012'] = "Users Management";
$MSG['_0014'] = "uAuctions banners system retrieves banners on a random basis from the database, after applying the
			filters you set when you inserted the banner.
			<br>The first thing to set is which banner size will be used:";
$MSG['_0015'] = "Any size";
$MSG['_0016'] = "Fixed size (please specify)";
$MSG['_0017'] = "Width";
$MSG['_0018'] = "Height";
$MSG['_0022'] = "Company";
$MSG['_0024'] = "Manage Banners";
$MSG['_0025'] = "Banners";
$MSG['_0026'] = "Add user";
$MSG['_0028'] = "Delete selected users (banners will be deleted)";
$MSG['_0029'] = "Select banner";
$MSG['_0030'] = "URL";
$MSG['_0031'] = "Text under banner";
$MSG['_0032'] = "ALT text";
$MSG['_0033'] = "<b>Filters</b>";
$MSG['_0035'] = "Keywords";
$MSG['_0036'] = "Accepted formats: GIF, JPG, PNG, SWF";
$MSG['_0037'] = "Complete URL including http://";
$MSG['_0038'] = "Can be left blank";
$MSG['_0039'] = "You have the ability to filter the banners rotations with two different criteria:
			<ul>
			<li><b>Categories</b>: select below one or more categories. The banner will appear only when the selected categories are visible (i.e. browsing categories, auction page)
			<li><b>Keywords</b>: enter one or more keywords (one per line). The banner will only appear in those auctions page where at least one keyword is contained in the item's title or description
			</ul>
			The <b>Categories</b> filter will be applied in the browse categories pages and in the items' pages.<br>
			The <b>Keywords</b> filter will be only applied in the auctions page.<br>
			If none of the filters applied match, a random banner (among those with no filters associated) will be shown.";
$MSG['_0040'] = "Add banner";
$MSG['_0041'] = "<b>New banner</b>";
$MSG['_0042'] = " (required)";
$MSG['_0043'] = "<b>User Banners</b>";
$MSG['_0044'] = "Please insert a valid URL";
$MSG['_0045'] = "Views purchased";
$MSG['_0046'] = "Zero or blank means unlimited views";
$MSG['_0047'] = "%s already exists";
$MSG['_0048'] = "Wrong file type. Allowed formats: GIF, JPG, PNG, SWF";
$MSG['_0049'] = "Views:";
$MSG['_0050'] = "URL:";
$MSG['_0051'] = "Clicks:";
$MSG['_0052'] = "View filters";
$MSG['_0053'] = "<b>Categories</b>";
$MSG['_0054'] = "<b>Keywords</b>";
$MSG['_0055'] = "Edit Banner";
$MSG['_0056'] = "New banner";
$MSG['_0148'] = "Auction relisting";
$MSG['_0151'] = " times";
$MSG['_0153'] = "Relists / <br>Relisted";
$MSG['_0161'] = "Automatic Relists";
$MSG['_0162'] = "You can choose to automatically relist your auction, if no bids have been posted.";
$MSG['_0163'] = "View Winners";

$MSG['2_0004'] = "View User's IPs";
$MSG['2_0005'] = "Sign up IP";
$MSG['2_0006'] = "Ban";
$MSG['2_0007'] = "Accept";
$MSG['2_0009'] = "IP Address";
$MSG['2_0012'] = '<span style="color:#A2CD5A;"><b>Accepted</b></span>';
$MSG['2_0013'] = '<span style="color:#CD0000;"><b>Banned</b></span>';
$MSG['2_0015'] = "Process Selection";
$MSG['2_0017'] = "IP Addresses";
$MSG['2_0020'] = "IP Ban Management";
$MSG['2_0021'] = "Ban this IP address: ";
$MSG['2_0024'] = "(Complete IP address - example: 185.39.51.63)";
$MSG['2_0025'] = "Manually entered";
$MSG['2_0026'] = "We're sorry but, for one or more reasons, you have been denied access to
				this site.<br>
				If you had any active auctions listed, we have cancelled all bids and
				removed the item(s) from our database.
				<br><br>
				Thank you";
$MSG['2_0027'] = "Your IP has been banned";
$MSG['2_0032'] = "Auction Extension Settings";
$MSG['2_0034'] = "Enable Auctions Auto extension?";
$MSG['2_0035'] = "Extend auction by ";
$MSG['2_0036'] = " seconds if someone bid during the last ";
$MSG['2_0037'] = " seconds";
$MSG['2_0038'] = "Please enter valid numeric values";
$MSG['2_0039'] = "Auctions Auto extension gives you the ability to automatically extend by <b>X</b> seconds the auctions end time,
				if someone bids in the last <b>Y</b> seconds of the auction lifetime.<br>";
$MSG['2__0001'] = "Choose language";
$MSG['2__0002'] = "Multilingual support";
$MSG['2__0003'] = "<br>The default language is English.<br>
				If you want to enable multilingual support or change the default language you must follow the steps below:
				<ul>
				<li>If you want to add a new language make a duplicate of language/EN and name it with the
				appropriate name: i.e. if you are translating to French you will need to name the directory FR
				<br>
				The first thing is to define the characters encoding your language requires at the top of the messages file.
				The variable you must edit is <i>\$CHARSET</i>. UTF-8 encoding should work with almost all the languages.<br>
				Next you'll have to define the document reading direction. The variable to modify is <i>\$DOCDIR</i>
				and can have two possible values:
				<ul>
				<li><b>ltr</b> (left-to-right): this is the default and means the text must be read from left to right
				<li><b>rtl</b> (right-to-left): means the text must be read from right to left (i.e. Arabian, Hebrew, etc)
				</ul>
				Once changed <i>\$CHARSET</i> and <i>\$DOCDIR</i> according to the language you are translating into,
				 you will have to translate all the error messages and user interface messages contained in the messages file.
				
				<li>You will then need the flag(s) GIFs for the languages you are going to use, in the inc/flags directory. 
				Get the flag(s) you need and change the file name(s) to be XX.gif, where XX is the language code for your country language.
				<br>Copy the renamed flag file(s) in the inc/flags/ directory.
				<br><b>Note:</b> for each translation, you need the corresponding XX.gif file in inc/flags/
				<li>Select the default language below. All the other available languages will be available in the home page (the corresponding flags will be shown).
				</ul>
				";
$MSG['2__0004'] = "Default language";
$MSG['2__0005'] = '<span style="color:#CD0000;"><b>Current default language</b></span>';
$MSG['25_0011'] = "Advertisement";
$MSG['2__0016'] = "Starting date";
$MSG['2__0025'] = "Buy it now";
$MSG['2__0027'] = "All";
$MSG['2__0028'] = "Select All";
$MSG['2__0029'] = "You have no messages";
$MSG['2__0030'] = " means the entry cannot be deleted because it's in use.";
$MSG['2__0031'] = "Are you sure you want to delete these messages?";
$MSG['2__0037'] = "Submit auction";
$MSG['2__0038'] = "Select your category";
$MSG['2__0039'] = "If you lost your password, please enter in your username and e-mail address below.";
$MSG['2__0041'] = "Select secondary category";
$MSG['2__0045'] = " pixels ";
$MSG['2__0047'] = "SELECT CATEGORY &gt;&gt;";
$MSG['2__0048'] = "Close Now!";
$MSG['2__0050'] = "Sell similar";
$MSG['2__0051'] = "Relist";
$MSG['2__0054'] = '<span style="#CD0000;"><b>Already selected</b></span>';
$MSG['2__0056'] = "Suspended auctions";
$MSG['2__0057'] = "Show Counters";
$MSG['2__0058'] = "You can decide to show some counters in the header of your site's pages.<br>
				There are six different counters available:
				<ul>
				<li>Active auctions</li>
				<li>Online guests</li>
				<li>Online users</li>
				<li>Categories</li>
				</ul>
				You can enable/disable each counter below";
$MSG['2__0059'] = "Online guests";
$MSG['2__10059'] = "USERS ONLINE";
$MSG['2__100591'] = "Users";
$MSG['2__0060'] = "Active auctions";
$MSG['2__0061'] = "Registered users";
$MSG['2__0062'] = "Counters you want to show";
$MSG['2__0063'] = "Counters Settings Updated";
$MSG['2__0064'] = "GUESTS ONLINE";
$MSG['2__00642'] = "Guests";
$MSG['2__0066'] = "Enabled";
$MSG['2__0067'] = "Disabled";
$MSG['25_0001'] = "WINNER";
$MSG['25_0002'] = "SELLER";
$MSG['25_0004'] = "User name";
$MSG['25_0005'] = 'User Registration Fields';
$MSG['25_0006'] = "Final bid";
$MSG['25_0008'] = "Preferences";
$MSG['25_0009'] = "Interface";
$MSG['25_0010'] = "Users";
$MSG['25_0011'] = "Advertisement";
$MSG['25_0012'] = "Fees";
$MSG['25_0015'] = "Send Newsletter";
$MSG['25_0018'] = "Contents";
$MSG['25_0023'] = "Statistics";
$MSG['25_0025'] = "Settings Overview";
$MSG['25_0026'] = "Batch Process (cron.php)";
$MSG['25_0027'] = "Be sure to set up a cronjob to run cron.php periodically (15 minutes is usually a good time interval).";
$MSG['25_0031'] = "Statistics";
$MSG['25_0032'] = " minutes";
$MSG['25_0033'] = " seconds";
$MSG['25_0035'] = "Time Correction";
$MSG['25_0036'] = "GMT";
$MSG['25_0037'] = " hours";
$MSG['25_0038'] = "Counters shown in the header:<br>";
$MSG['25_0040'] = "Pages Alignment";
$MSG['25_0041'] = "Shown on Home Page";
$MSG['25_0042'] = "Login Box";
$MSG['25_0043'] = "News Box";
$MSG['25_0044'] = "News Shown";
$MSG['25_0045'] = "Thumbnails Width";
$MSG['25_0048'] = "Other thumbnails: ";
$MSG['25_0049'] = "Newsletter Subscription";
$MSG['25_0055'] = "Registered Active Users";
$MSG['25_0056'] = "Suspended Users";
$MSG['25_0057'] = "Live Auctions";
$MSG['25_0059'] = "Bids on live auctions";
$MSG['25_0063'] = "Today's Accesses";
$MSG['25_0071'] = "Item specifications";
$MSG['25_0074'] = "Resend e-mail";
$MSG['25_0075'] = "Resend Signup Confirmation E-mail";
$MSG['25_0076'] = "Resend E-mail";
$MSG['25_0077'] = "No HTML allowed";
$MSG['25_0078'] = "E-mail sent to ";
$MSG['25_0079'] = "Newsletter";
$MSG['25_0080'] = "Summary";
$MSG['25_0081'] = "My Account";
$MSG['25_0082'] = "Selling";
$MSG['25_0083'] = "Buying";
$MSG['25_0084'] = "Add a new item keyword";
$MSG['25_0085'] = "Remember me";
$MSG['25_0086'] = "By clicking the button below, you commit to pay the full amount thus buying the item from the seller if you are the winning bidder";
$MSG['25_0087'] = "You have been outbid";
$MSG['25_0088'] = "You are the current highest bidder";
$MSG['25_0089'] = "Congratulations, the item is yours. Please pay now";
$MSG['25_0107'] = "Thumbnails Size";
$MSG['25_0108'] = "Home Page Thumbnails";
$MSG['25_0109'] = "Categories Thumbnails";
$MSG['25_0110'] = "Acceptance Text";
$MSG['25_0115'] = "Pending auctions";
$MSG['25_0116'] = "Will start";
$MSG['25_0117'] = "Will end";
$MSG['25_0118'] = "Start now!";
$MSG['25_0119'] = "Sold Items";
$MSG['25_0121'] = "Closed on";
$MSG['25_0133'] = "I want to register as";
$MSG['25_0134'] = "<b>Seller</b> (can sell and bid for items)";
$MSG['25_0135'] = "<b>Buyer only</b> (can only bid for items)";
$MSG['25_0136'] = "Requires administrator's approval";
$MSG['25_0137'] = "You must select an account type (seller or buyer)";
$MSG['25_0138'] = "Sellers";
$MSG['25_0139'] = "Buyers";
$MSG['25_0140'] = "Your account is a buyer account. No selling activity is allowed.<br> If you want to switch to a <b>seller account</b> ";
$MSG['25_0141'] = "send a request to the site administrator";
$MSG['25_0142'] = "Request sent to the site's administrator.";
$MSG['25_0143'] = "Your account is a buyer account. No selling activity is allowed.<br> You already sent a request to switch to a <b>seller account</b>: your request is being processed. ";
$MSG['25_0146'] = "Categories Sorting";
$MSG['25_0147'] = "The categories list in the left column of the home page, can be sorted <b>alphabetically</b> or on the number of auctions contained in each category (<b>categories counters</b>).<br>
			Choose below the sorting method you want to have";
$MSG['25_0148'] = "Alphabetically";
$MSG['25_0149'] = "Categories counters";
$MSG['25_0150']= "Categories Sorting Settings Updated";
$MSG['25_0151'] = "Users Authentication";
$MSG['25_0151_a'] = "Users Confirmation Method";
$MSG['25_0152'] = "If this is enabled the users will be asked to enter their password before completing actions such as leaving feedback, submitting an auction or leaving a bid.";
$MSG['25_0152_a'] = "On uAuctions each users account must be activated before it can be used. Choose which method you want to use";
$MSG['25_0152_b'] = "The admin must activate each account.";
$MSG['25_0152_c'] = "User must activate their own account";
$MSG['25_0152_d'] = "Users account is automatically activated on registration (not recommended)";
$MSG['25_0155'] = "Contact seller Updated";
$MSG['25_0157'] = "Your background image";
$MSG['25_0166'] = "Back to auction";
$MSG['25_0167'] = "icon";
$MSG['25_0169'] = "Membership Levels";
$MSG['25_0169a'] = "Check Version";
$MSG['25_0170'] = "Edit, delete or add membership levels using the form below. \"Points\" means up limit (min level is implicit), \"membership\" is the name of the level, \"icon\" is the name of the icon corresponding to the level to be displayed, relative to the \"images/icons/\" directory";
$MSG['25_0171'] = "Points owed";
$MSG['25_0172'] = "membership type";
$MSG['25_0176'] = "Convert";
$MSG['25_0177'] = "for";
$MSG['25_0178'] = "HTML meta Tags";
$MSG['25_0180'] = "Meta Description Tag";
$MSG['25_0181'] = "Meta Keywords Tag";
$MSG['25_0182'] = "The Meta Description Tag is usually used to describe your pages in the search results pages search engines show.<br>
				Enter the text which better describes your site below.";
$MSG['25_0184'] = "The Meta Keywords Tag gives some search engines additional information to use to index your site.<br>
				Enter the your keywords below separated by comas (i.e. books, books auctions, book sales).";
$MSG['25_0185'] = "Meta Tags Settings Updated";
$MSG['25_0186'] = "Pictures Upload";
$MSG['25_0187'] = "Enter the maximum allowed size (in Kbytes) of the pictures sellers can upload for each auction.";
$MSG['25_0188'] = "Auctions notification e-mails";
$MSG['25_0189'] = "As a seller, you can choose to receive one notification e-mail for each auction which closes, or to receive an e-mail once a day reporting all the closed auctions on that day.<br>
				The second option is usually necessary if you have a huge number of auctions.<br>Finally you can also choose not to receive any notification e-mail but this choice is not recommended.";
$MSG['25_0190'] = "Receive <b>one</b> e-mail for each closing auction";
$MSG['25_0191'] = "Receive one cumulative e-mail once a day";
$MSG['25_0192'] = "E-mails notification options updated";
$MSG['25_0193'] = "Do not receive any e-mail";
$MSG['25_0195'] = "You can choose to receive a notification e-mail for each auction you set up or to not receive it.";
$MSG['25_0196'] = "Receive the <b>auction setup confirmation e-mail</b>.";
$MSG['25_0197'] = "Do not Receive the <b>auction setup confirmation e-mail</b>.";
$MSG['25_0199'] = "Closing auctions resume";
$MSG['25_0209'] = "Sell under price";
$MSG['25_0214'] = "Search also closed auctions: ";
$MSG['25_0215'] = "Shipping terms";
$MSG['25_0216'] = "Contact the seller";
$MSG['25_0217'] = "Giving anybody the option to contact sellers through your website is not recommended. For this reason uAuctions
				gives you the ability to decide if sellers can be contacted by users browsing your site or not.";
$MSG['25_0218'] = "Any visitor can contact the seller (the ability to contact the seller will be ALWAYS shown)";
$MSG['25_0219'] = "Only logged in users can contact the seller (the ability to contact the seller will be shown only to other users of your site if logged in)";
$MSG['25_0220'] = "Nobody can contact the seller (the ability to contact the seller will NEVER be shown)";
$MSG['25_0223'] = "Feedback you've received";
$MSG['25_0224'] = "Preview";

// multi-language months
$MSG['MON_001'] = "Jan";
$MSG['MON_001E'] = "January";
$MSG['MON_002'] = "Feb";
$MSG['MON_002E'] = "February";
$MSG['MON_003'] = "Mar";
$MSG['MON_003E'] = "March";
$MSG['MON_004'] = "Apr";
$MSG['MON_004E'] = "April";
$MSG['MON_005'] = "May";
$MSG['MON_005E'] = "May";
$MSG['MON_006'] = "Jun";
$MSG['MON_006E'] = "June";
$MSG['MON_007'] = "Jul";
$MSG['MON_007E'] = "July";
$MSG['MON_008'] = "Aug";
$MSG['MON_008E'] = "August";
$MSG['MON_009'] = "Sep";
$MSG['MON_009E'] = "September";
$MSG['MON_010'] = "Oct";
$MSG['MON_010E'] = "October";
$MSG['MON_011'] = "Nov";
$MSG['MON_011E'] = "November";
$MSG['MON_012'] = "Dec";
$MSG['MON_012E'] = "December";

//time zones
//time zones by ever half hour
$MSG['TZ_21'] = '(GMT +9:30) Southern &amp; Northern Territory (Australia)';
$MSG['TZ_20'] = '(GMT +8:30) North Korea';
$MSG['TZ_19'] = '(GMT +6:30) Myanmar';
$MSG['TZ_18'] = '(GMT +5:45) Nepal';
$MSG['TZ_17'] = '(GMT +5:30) India, Sri Lanka';
$MSG['TZ_16'] = '(GMT +4:30) Afghanistan';
$MSG['TZ_15'] = '(GMT +3:30) Iran';
$MSG['TZ_14'] = '(GMT +14:00) Kiribati, Samoa';
$MSG['TZ_13'] = '(GMT +13:00) Fiji, New Zealand, Tonga';
$MSG['TZ_12'] = '(GMT +12:00) Marshall Islands, Nauru';
$MSG['TZ_11'] = '(GMT +11:00) New Caledonia';
$MSG['TZ_10'] = '(GMT +10:00) Queensland &amp; New South Wales (Australia), Micronesia, Papua New Guinea';
$MSG['TZ_9'] = '(GMT +9:00) Timor Leste, Japan, South Korea, Palau';
$MSG['TZ_8'] = '(GMT +8:00) Western Australia, Brunei Darussalam, China, Hong Kong, Macau, Malaysia, Mongolia, Philippines';
$MSG['TZ_7'] = '(GMT +7:00) Cambodia, Indonesia, Lao, Thailand, Vietnam';
$MSG['TZ_6'] = '(GMT +6:00) Bangladesh, Bhutan, Kazakhstan, Kyrgyzstan';
$MSG['TZ_5'] = '(GMT +5:00) British Indian Ocean Territory, French Southern Territories, Maldives, Pakistan, Tajikistan';
$MSG['TZ_4'] = '(GMT +4:00) Armenia, Azerbaijan, Bolivia, Georgia, Mauritius, Oman, Seychelles, United Arab Emirates';
$MSG['TZ_3'] = '(GMT +3:00) Bahrain, Belarus, Comoros, Djibouti, Eritrea, Ethiopia, Iraq, Kenya, Kuwait, Madagascar, Qatar, Sudan';
$MSG['TZ_2'] = '(GMT +2:00) Eastern European Time, Botswana, Bulgaria, Burundi, Cyprus, Egypt, Estonia, Finland, Greece, Israel';
$MSG['TZ_1'] = '(GMT +1:00) Central European Time, Andorra, Angola, Austria, Belgium, Benin, Bosnia & Herzegovina, Central African';
$MSG['TZ_-14'] = '(GMT -4:30) Venezuela';
$MSG['TZ_-13'] = '(GMT -3:30) Newfoundland (Canada),';
$MSG['TZ_-12'] = '(GMT -12:00) ';
$MSG['TZ_-11'] = '(GMT -11:00) Niue, American Samoa';
$MSG['TZ_-10'] = '(GMT -10:00) French Polynesia';
$MSG['TZ_-9'] = '(GMT -9:00) Alaska';
$MSG['TZ_-8'] = '(GMT -8:00) Pacific Time (US, Canada &amp; Mexico)';
$MSG['TZ_-7'] = '(GMT -7:00) Mountain Time (US, Canada &amp; Mexico)';
$MSG['TZ_-6'] = '(GMT -6:00) Central Time (US, Canada &amp; Mexico), Belize, Costa Rica, El Salvador, Guatemala, Honduras';
$MSG['TZ_-5'] = '(GMT -5:00) Eastern Time (US &amp; Canada), Bahamas, Cayman Islands, Colombia, Cuba, Ecuador, Haiti, Jamaica';
$MSG['TZ_-4'] = '(GMT -4:00) Atlantic Time (Canada), Antigua & Barbuda, Anguilla, Aruba, Barbados, Bermuda, British Virgin Islands';
$MSG['TZ_-3'] = '(GMT -3:00) Argentina, Chile, Greenland, Paraguay, Saint Pierre &amp; Miquelon, Suriname, Uruguay';
$MSG['TZ_-2'] = '(GMT -2:00) Brazil';
$MSG['TZ_-1'] = '(GMT -1:00) Cameroon, Cape Verde Islands';
$MSG['TZ_0'] = "(GMT) Western Europe Time, Burkina Faso, Cote D'Ivoire (Ivory Coast), England, Faeroe Islands, Gambia, Ghana, Guinea";

$MSG['26_0000'] = "Set Default";
$MSG['26_0001'] = "Bids history";
$MSG['26_0002'] = "Manage Themes";
$MSG['26_0003'] = "Edit Theme Files";
$MSG['26_0004'] = "Add Theme File";
$MSG['26_0005'] = "Default Theme Updated";
$MSG['30_0029'] = "You can set below the number of categories you want to be shown in the left column of the home page";
$MSG['30_0030'] = "Categories to show: ";
$MSG['30_0031'] = "Clear Cache";
$MSG['30_0031a'] = "Site Logo";
$MSG['30_0032'] = "Delete all the template cache files, you will need to do this each time you edit a template file";
$MSG['30_0033'] = "Cache cleared";
$MSG['30_0049'] = "Newsletter Settings Updated";
$MSG['30_0053'] = "<p>Some free e-mail services have been banned from this website. Please do not enter e-mail addresses belonging to the following domains:</p>";
$MSG['30_0055'] = "The newsletter sent through uAuctions will be sent automatically in <b>HTML</b>,<br /> so, it is necessary to add a tag <code>&lt;BR&gt;</code> tags for each new line you are going to add.<br /> Otherwise, the message will look like a single line of text without format.";
$MSG['30_0062'] = "Please enter at least 4 characters";
$MSG['30_0063'] = "Buy it now only?";
$MSG['30_0064'] = "Activate <b>Buy it now only</b> auctions?";
$MSG['30_0065'] = "Enabling the <b>Buy it now only</b> option you'll give your sellers the ability to set up auctions for which it will not be possible to place any bid, but only use the <b>Buy it now</b> feature (fixed price auctions).<br><b>Note:</b> the <b>Buy it now only</b> option will only take effect if <b>Buy it now</b> is enabled.";
$MSG['30_0066'] = "Buy it now only settings updates";
$MSG['30_0067'] = "<b>Buy it now only</b> auction";
$MSG['30_0069'] = "Edit this auction";
$MSG['30_0070'] = "Search only in this category";
$MSG['30_0080'] = "Payment Options";
$MSG['30_0081'] = "Viewed ";
$MSG['30_0084'] = "You can decide to allow users to see each others E-Mail addresses or to hide them and all communication must be done via PMs";
$MSG['30_0085'] = "Hide user E-Mails";
$MSG['30_0086'] = "Address: ";
$MSG['30_0087'] = "Are you sure you want to process the selected auctions?";
$MSG['30_0098'] = "&nbsp; = Outbid";
$MSG['30_0100'] = "<b>Buy it now!</b> auctions";
$MSG['30_0101'] = "<b>Buy it now only</b> auctions";
$MSG['30_0102'] = "Check/Uncheck All";
$MSG['30_0176'] = "View Winners";
$MSG['30_0177'] = "Auction ended";
$MSG['30_0178'] = "&nbsp;&nbsp;No winners found for this auction";
$MSG['30_0179'] = "Winning bid";
$MSG['30_0180'] = "Complete Bid History";
$MSG['30_0181'] = "Message Board";
$MSG['30_0208'] = "Place bid >>";
$MSG['30_0209'] = "Meet the seller";
$MSG['30_0210'] = "*When items relating to these key words are listed you will be notified via email";
$MSG['30_0211'] = "You are running an old version you can download the latest version from <a href='https://u-auctions.com/forum/viewforum.php?f=3' target='_blank'>here</a>";
$MSG['30_0212'] = "You are running the latest version";
$MSG['30_0213'] = "No feedback needs leaving";
$MSG['30_0214'] = "Free uAuctions Version";
$MSG['30_0215'] = "Name";
$MSG['30_0216'] = "Name of Bank";
$MSG['30_0217'] = "Bank Account Number";
$MSG['30_0218'] = "Bank Routing Number";
$MSG['30_0219'] = "Bank Transfer";
$MSG['30_0220'] = 'A valid bank name is required';
$MSG['30_0221'] = 'A valid bank account number is required';
$MSG['30_0222'] = 'A valid bank rounting number is required';
$MSG['30_0223'] = 'A valid bank name, account number and rounting number are required';
$MSG['30_0224'] = 'Sub Admin';
$MSG['30_0225'] = 'Main Admin';
$MSG['30_0226'] = 'The user is a sub admin';
$MSG['30_0227'] = 'The user is a main admin';
$MSG['30_0228'] = 'Seller info';
$MSG['30_0229'] = 'Admin Folder Path/Name';
$MSG['30_0230'] = '<span style="color:red">Do not end the folder path/name with a /</span><br>You can use up to 100 characters long<br>To Generate a path/name choose how many characters long and click the Generate Name button then click Save changes.';
$MSG['30_0231'] = 'The Admin Folder was renamed successfully';
$MSG['30_0232'] = 'Back-To-Auction';

$MSG['30_0233'] = "Cookies Policy Page";
$MSG['30_0234'] = "Activate Cookies Policy Page?";
$MSG['30_0235'] = "Cookies Policy content<br>(HTML allowed)";
$MSG['30_0236'] = "Activate this option if you want a Cookies Policy link to appear in the footer of your pages.";
$MSG['30_0237'] = "Cookies Policy Settings Updated";
$MSG['30_0238'] = "Cookies Policy content<br>(HTML allowed)";
$MSG['30_0239'] = "Cookies Policy";
$MSG['30_0240'] = 'This site uses cookies you must read and agree to the <a href="' . $system->SETTINGS['siteurl'] . 'contents.php?show=cookies" class="new-window">Cookies Policy</a>';  


$MSG['30_0110'] = "Shipping";
$MSG['350_1004'] = "Quantity";
$MSG['350_1008'] = "Additional Shipping";
$MSG['350_1009'] = "Additional Shipping Cost";
$MSG['350_10111'] = "User is Online";
$MSG['350_10112'] = "User is Offline";
$MSG['350_10114'] = "Hide my online status";
$MSG['350_10115'] = "Turn on/off online status";
$MSG['350_10116'] = "Select the on or off button to hide your online status Than click the Save changes button.";
$MSG['350_10025'] = "Upload An Avatar";
$MSG['350_10017'] = "Shipped";
$MSG['350_10018'] = "Shipping Status";
$MSG['350_10019'] = "Set as Shipped";
$MSG['350_10021'] = "Set as Received";
$MSG['350_10020'] = "Item has not been shipped";
$MSG['350_10022'] = "Item Received";
$MSG['350_10023'] = "Received";
$MSG['350_10024'] = "Waiting for payment";
$MSG['350_10026'] = "Digital Item";

///Digital Item auction
$MSG['350_1010'] = "Digital Item Auction";
$MSG['350_10171'] = "Upload Digital Item";
$MSG['350_10172'] = "Saved File:&nbsp;&nbsp;&nbsp;";
$MSG['350_10173'] = "New File Uploaded:&nbsp;&nbsp;&nbsp;";
$MSG['350_10174'] = "flv,&nbsp;&nbsp; mp3,&nbsp;&nbsp; pdf,&nbsp;&nbsp; rar,&nbsp;&nbsp; zip <br>";
$MSG['350_10175'] = "<b>File Types that are allowed</b><br> %s";
$MSG['350_10176'] = "<b>Maximum file size allowed</b><br> %s";
$MSG['350_10177'] = "Download";
$MSG['350_10179'] = "Digital item options";
$MSG['350_10180'] = "Max digital item size";
$MSG['350_10181'] = "Enter the maximum allowed size (in Kbytes) of the digital item file the sellers can upload.<br>Go to the <b>AdminCP -> Settings -> Digital Item MINE Type Settings</b> page to set the allowed file types.";
$MSG['350_10182'] = "Allowed File Types";
$MSG['350_10185'] = "The Digital Item Auctions are Buy Now Only auctions.<br><span style='color:red'>To use the digital item auction feature the Buy Now Only feature will be turned on automatically.</span><br>If you activate this option, the seller will be able to sell digital items.";
///End of Digital Item auction

///Login with facebook
$MSG['350_10167'] = "Share on Facebook";
$MSG['350_10168'] = "Share on Twitter";
$MSG['350_10169'] = "Share on Google+";
$MSG['350_10186'] = "You are now connected with facebook <br>Please finish filling in your info to register for an account";
$MSG['350_10187'] = "You are not connected with facebook";
$MSG['350_10188'] = "If you would like to use the connect with facebook button to login to our website follow the setps below
<br>1. Click the connect with facebook button 
<br>2. finish filling in your personal info
<br>3. Click Register Now button
<br>4. Activate your new account 
<br>5. you can now use the connect with facebook button to login to our website.";
$MSG['350_10189'] = "Personal info";
$MSG['350_10190'] = "Your account is now connected with facebook";
$MSG['350_10191'] = "Your account is not connected with facebook";
$MSG['350_10192'] = "If you would like to use facebook to login to our website follow the setps below.
<br>1. Click the link your facebook button 
<br>2. Click the Save changes button 
<br>3. You can now click the Connect with Facebook button to login to our website.";
$MSG['350_10194'] = "Facebook app id";
$MSG['350_10195'] = "Facebook app secret";
$MSG['350_10167'] = "Share on Facebook";
$MSG['350_10168'] = "Share on Twitter";
$MSG['350_10169'] = "Share on Google+";
$MSG['350_10196'] = "Facebook login";
$MSG['350_10197'] = "Do you want to let users login with facebook";
$MSG['350_10198'] = "Add your facebook app id here";
$MSG['350_10199'] = "Add your facebook app secret here";
$MSG['350_10200'] = "You can allow people to login and register with there facebook account you will need the facebook app id and app secret.<br> <a href='https://developers.facebook.com'>Click Here</a> to get the facebook app id and app secret.";
$MSG['350_10201'] = "Facebook developer";
$MSG['350_10202'] = "Click the Signup with Facebook button to link your Facebook Account with your account.";
$MSG['350_10203'] = "Click the Save Changes button to finish linking your Facebook Account to your account.";
$MSG['350_10204'] = "You mush have a account on our website to use the Login with facebook.";
$MSG['350_10204_a'] = "Register with facebook";
$MSG['350_10204_b'] = "Signup using facebook";
$MSG['350_10204_c'] = "Link Your Facebook";
$MSG['350_10204_d'] = "Login with Facebook";
/// End of Login with facebook

$MSG['350_10205'] = "Browse";
$MSG['350_10206'] = "Featured Auctions";
$MSG['350_10207'] = "Contact Us";
$MSG['103600'] = "Item Condition";
$MSG['103700'] = "Manufacturer";
$MSG['103800'] = "Model";
$MSG['103900'] = "Colour";
$MSG['104000'] = "Year of Manufacture";
$MSG['104100'] = "Conditions Table";
$MSG['104200'] = "Edit, delete or add Item Condition using the form below.";
$MSG['104300'] = "Conditions Table Updated !";
$MSG['104400'] = "Item Description";

$MSG['OPENBUBBLE']='&nbsp;&nbsp;&nbsp;<a href="#" class="tt"><img src="images/info_button_s.png" height="18" width="18" align="top" border="0"><span class="tooltip"><span class="top"></span><span class="middle">';
$MSG['CLOSEBUBBLE']='</span><span class="bottom"></span></span></a>';
$MSG['REQUIRED']='<font color="red"><b>* Means required information</b></font>';
$MSG['ASTERIX']='<font color="red">*&nbsp;&nbsp;</font>';
$MSG['1044'] ="What does each Item Condition mean?";
$MSG['1045a']="This will be the title of your listing. Use words about your item that buyers would search for.";
$MSG['1046']="display more information below your title, make your listing more interesting";
$MSG['1047']="Make sure you choose the right condition it's important to accurately describe your item";
$MSG['1048']="describe your item in Detail";
$MSG['1049']="Upload images for your listing -automatic thumbnail made here too, you can make your listing stand out by catching the buyer's eye";
$MSG['1400']="<font color='red'><b>Reported Listings</b></font>";
$MSG['1401']="View Reported Listings";
$MSG['1402']="Reported By Info";
$MSG['1403']="Reported Reason/Comments";
$MSG['1404']="Item Title/ID";
$MSG['1405']="Reporting Reasons";
$MSG['1406']="Set Report Reasons";
$MSG['1407'] = "Edit, delete or add Report Reasons using the form below.";
$MSG['1408'] = "Report Reasons Table Updated !";
$MSG['1409']="Select Report Reason";
$MSG['1410']="Report Listing";
$MSG['1411']="Immediately Suspend Listing or Just Notify Admin";
$MSG['1412']="<font color='white'> IMPORTANT ! set to 1 for Normal Set to 2 for automatic suspension of Listing if reported</font>";
$MSG['1413']="Find content on this page inappropriate? Tell us";
$MSG['1414']="Seller ID:&nbsp;&nbsp;";
$MSG['1415']="Seller Name:&nbsp;&nbsp;";
$MSG['1416']="Reporter Name:&nbsp;";
$MSG['1417']="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ID:";
$MSG['1418']="Reported By:&nbsp;";
$MSG['1419']="Listing Title: ";
$MSG['1420']="Reporter ID:&nbsp;";
$MSG['1421']="Report Reason:&nbsp;";
$MSG['1422']="Report Comment:&nbsp;";
$MSG['1423']="Report Date:&nbsp;";
$MSG['1424']="Close Report";
$MSG['1425']="Contact Seller";
$MSG['1426']="Contact Reporter";
$MSG['1427']="Reporter Email:&nbsp;";
$MSG['1428']="Subject";
$MSG['1429']="Add a comment";
$MSG['1430']="Make sure you choose the right reason it's important ,it determines how fast we respond to the Report";
$MSG['1431']="Reporting Listing:&nbsp;";
$MSG['1432']="Listing ID:&nbsp; ";
$MSG['1433']="A Listing Has Been Reported";
$MSG['1434'] = "<br />The email sent through uAuctions will be sent automatically in <b>HTML</b>, so,<br /> it is necessary to add a tag <code>&lt;BR&gt;</code> tags for each new line you are going to add.<br /> Otherwise, the message will look like a single line of text without format.<br />";
$MSG['1435']="Home";
$MSG['1436']="Notify Admin Only";
$MSG['1437']="<b>Please Note: All reports are confidential your details will not be disclosed to the Seller <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Misuse of the reporting system is not taken lightly</b>";

$MSG['350_10208']="Subject:";
$MSG['350_10209']="Google Adsense";
$MSG['350_10210']="User activity";
$MSG['30_0181152'] = "Hide or Show";
$MSG['30_0181153'] = "Featured Auctions";
$MSG['30_0181154'] = "Hot Items";
$MSG['30_0181155'] = "Ending Soon";
$MSG['30_0181156'] = "Latest Auctions";
$MSG['30_0181157'] = "Featured Auctions";
$MSG['30_0181158'] = "Report This Auction";
$MSG['30_0181159'] = "Standard Auctions";
$MSG['277_1'] = "all-categories";
$MSG['277_2'] = "categorie";
$MSG['277_3'] = "search";
$MSG['138_1'] = "back-to-the-auction";

/// Favourite Sellers
$MSG['FSM1'] = "Add to favourite Sellers";
$MSG['FSM2'] = "You must be logged in to add a favourite seller";
$MSG['FSM3'] = "This person is already one of your favourite sellers";
$MSG['FSM4'] = "This person is now a favourite seller. You can view this persons items from the buyer area of the control panel";
$MSG['FSM6'] = "View your favourite sellers"; 
$MSG['FSM7'] = "Your Favourite Sellers";
$MSG['FSM8'] = "We could not add this person";
$MSG['30_0087a'] = "Are you sure you want to process the selected sellers?"; 
/// End Favourite Sellers

/* Banner system */
$MSG['350_10129'] = "There is a extra banner fee for every extra banner you add to your account.<br> After you pay the extra banner fee you will be allowed to upload a extra banner to your account."; 
$MSG['350_10130'] = "Add New Account"; 
$MSG['350_10131'] = "Delete selected accounts (banners will be deleted)"; 
$MSG['350_10132'] = "Banner Setup Fee"; 
$MSG['350_10133'] = "Advertisement Banner Setup Fee"; 
$MSG['350_10134'] = "Extra Advertisement Banner Fee"; 
$MSG['350_10135'] = "New advertisement account"; 
$MSG['350_10136'] = "Extra Banner Fee"; 
$MSG['350_10137'] = "To upload your banner please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['350_10138'] = "Extra Banner Fee of <b>%s</b>"; 
$MSG['350_10139'] = "To activate your banner account please proceed to one of the payment gateways listed below to pay the fee of <b>%s</b>.";
$MSG['350_10149'] = "There is a setup fee and by clicking the (Add New Account) button you are agreeing to pay the setup fee and will be redacted to the payment page and after the payment has been made your new account will be activated.";
$MSG['350_1012111'] = "My Advertisement"; 
$MSG['350_1012212'] = "Your Banners Control Panel"; 
$MSG['350_1012222'] = "Back"; 
$MSG['350_1012535'] = "Manage Account Info"; 
$MSG['350_1012333'] = "Maximum width and height can not exceed %s x %s pixels";
$MSG['350_101244'] = "Add New Account"; 
$MSG['350_1012555'] = "Activate Account";
$MSG['350_10126'] = "Account is Activated";
$MSG['350_10127'] = "Setup Fee";
$MSG['350_10128'] = "Extra Banner Fee";
$MSG['350_10150'] = "Edit info";
$MSG['350_10151'] = "<b>Keywords</b>: enter one or more keywords (one per line). The banner will only appear in those auctions page where at least one keyword is contained in the item's title or description";
$MSG['350_10152'] = "Login to place a bid";
$MSG['350_10153'] = "User has paid for a extra banner";
$MSG['350_1015444'] = "Activate Extra banner";
$MSG['350_1015446'] = "Account Setup Fee";
$MSG['350_1015445'] = "Extra banner";
/* END Banner system */

$MSG['025_00'] = "Pickup Only"; 
$MSG['025_A'] = "Accept Returns"; 
$MSG['025_B'] = "Returns Accepted.<br>Buyer has 7 days after they receive the item to return it.<br>Buyer pays for the shipping of the returned item."; 
$MSG['025_C'] = "Returns"; 
$MSG['025_D'] = "No Returns and No Refunds"; 
$MSG['025_E'] = "Buyer has 7 days after they receive the item to return it.";

$MSG['350_1015401'] = "You must be logged in to buy this item";
$MSG['350_1015402'] = "Buy Now";
$MSG['350_10193'] = "You must have an account on our website to login with facebook.";
$MSG['350_1015403'] = "Bid Now";



$MSG['heading_title']         = 'Packing Slip';
$MSG['text_packingslip']      = 'Packing Slip/Invoice';
$MSG['text_invoice']      = 'invoice';
$MSG['text_auction_id']         = 'Auction ID';
$MSG['text_order_invoice']         = 'Order/Invoice';
$MSG['text_date_added']       = 'Order Date';
$MSG['text_telephone']        = 'Telephone:';
$MSG['text_fax']              = 'Fax:';
$MSG['text_to']               = 'SHIP FROM';
$MSG['text_ship_to']          = 'SHIP TO';
$MSG['text_account']          = 'Account';
$MSG['text_order']            = 'Order Information';
$MSG['text_order_detail']     = 'Order Details';
$MSG['text_invoice_no']       = 'Invoice No.:';
$MSG['text_order_id']         = 'Order ID:';
$MSG['text_invoice_date']         = 'Invoice Date:';
$MSG['text_seller']              = 'Seller:';
$MSG['350_10119'] = "Paypal";
$MSG['350_10120'] = "Moneyorder";
$MSG['350_10121'] = "Paypal or Moneyorder";
$MSG['350_10122'] = "Authorize.net";
$MSG['350_10123'] = "Worldpay";
$MSG['350_10124'] = "2Checkout";
$MSG['350_10125'] = "skrill";
$MSG['column_product']        = 'Product';
$MSG['column_model']          = 'Model';
$MSG['column_tax']            = 'Tax';
$MSG['column_quantity']          = 'Quantity';
$MSG['column_unit_price'] 	= 'Unit Price';
$MSG['column_shipping']          = 'Shipping Price';
$MSG['column_total'] 	= 'Total';
$MSG['unit_price']         = 'Unit Price:';
$MSG['shipping_text']          = 'Shipping:';
$MSG['vat_value_total']        = 'Tax:';
$MSG['total_text']             = 'Total Due:';
$MSG['entry_shipping_method'] = 'Shipping Method';
$MSG['entry_payment_method']  = 'Payment Method';
$MSG['entry_yellow_line']        = 'Yellow line text. It is in the language file.';
$MSG['entry_thankyou']           = 'Thank you for shopping with us and we hope to see you return soon!';
$MSG['entry_no_orders_selected'] = 'You didn\'t select any order to print Packingslip.';
$MSG['350_562'] = "Total";
$MSG['350_10160'] = "Account Registering";
$MSG['350_1015404'] = "Free Signup Credit";
$MSG['350_1015405'] = "Advertisement Banner";

$MSG['3500_1015405'] = "Administrator Control Panel";
$MSG['3500_1015406'] = "Guest!";
$MSG['3500_1015407'] = "Close Panel";
$MSG['3500_1015408'] = "uAuctions script editor";
$MSG['3500_1015409'] = "View All Auctions Winners";
$MSG['3500_1015410'] = "Item was sold and is waiting for payment";
$MSG['3500_1015411'] = "Item was sold and received payment";
$MSG['3500_1015412'] = "Item just sold";
$MSG['3500_1015413'] = "Your facebook account was linked to your account successfully. <br>(Please click the Save Changes button)";
$MSG['3500_1015414'] = "Set your default theme";
$MSG['3500_1015415'] = "You can edit or delete the email domains that bots use.<br>
Example: bot@bot_email_block.com<br>
To add a new email domain just copy the email domain that is after the @ so it would look like this bot_email_block.com";
$MSG['3500_1015416'] = "Email Blacklist";
$MSG['3500_1015417'] = "Add mass email domain addresses<br>
Put each email domain address on a new line";
$MSG['3500_1015418'] = "Spam";
$MSG['3500_1015419'] = "Sort by starting with <b>(A)</b>";
$MSG['3500_1015420'] = "Sort by starting with <b>(Z)</b>";
$MSG['3500_1015421'] = "Categories";
$MSG['3500_1015422'] = "Banner Max Width";
$MSG['3500_1015423'] = "Banner Max Height";
$MSG['3500_1015424'] = "Set the maximum Width size that is allowed. (The size is set in px)";
$MSG['3500_1015425'] = "Set the maximum Height size that is allowed. (The size is set in px)";
$MSG['3500_1015426'] = "Banner Types";
$MSG['3500_1015427'] = "Banner Types that are allowed (gif,&nbsp; jpg,&nbsp; jpeg,&nbsp; png,&nbsp; swf)";

//Sandbox messages for the AdminCP
$MSG['3500_1015429_a'] = 'You can turn on the <a class="imaging" data-fancybox-type="iframe" href="https://u-auctions.com/wiki/doku.php?id=u-auctions_enable_disable_fees#payment_gateways_sandbox_premium_u-auctions">payment gateways sandbox</a> to test the IPN';
$MSG['3500_1015428'] = "Paypal Sandbox";
$MSG['3500_1015429'] = "You can turn on the paypal sandbox to test the paypal IPN";
$MSG['3500_1015429_b'] = "You can turn on the worldpay sandbox to test the worldpay IPN";
$MSG['3500_1015429_c'] = "Worldpay Sandbox";
$MSG['3500_1015429_d'] = "You can turn on the skrill sandbox to test the skrill IPN";
$MSG['3500_1015429_e'] = "Skrill Sandbox";
$MSG['3500_1015429_f'] = "You can turn on the authorize sandbox to test the authorize IPN";
$MSG['3500_1015429_g'] = "Authorize Sandbox";
$MSG['3500_1015429_h'] = "You can turn on the 2checkout sandbox to test the 2checkout IPN";
$MSG['3500_1015429_i'] = "2checkout Sandbox";

$MSG['3500_1015430'] = "My Downloads";
$MSG['3500_1015431'] = "You will be able to download this item after a payment was made";

///Support Mod
$MSG['3500_1015432'] = "Support Center";
$MSG['3500_1015433'] = "Conversation";
$MSG['3500_1015434'] = "User Support";
$MSG['3500_1015435'] = "You have received a reply from the support team";
$MSG['3500_1015436'] = "Support Team";
$MSG['3500_1015437'] = "User";
$MSG['3500_1015438'] = "Messages";
$MSG['3500_1015439'] = "Time Sent At";
$MSG['3500_1015439a'] = "Open";
$MSG['3500_1015439b'] = "Closed";
$MSG['3500_1015439c'] = "Waiting for %s";
$MSG['3500_1015439d'] = "Submitted Date";
$MSG['3500_1015439e'] = "Waiting for";
$MSG['3500_1015439f'] = "Ticket Status";
$MSG['3500_1015439g'] = "Last Updated";
$MSG['3500_1015439h'] = "Submit a New Ticket";
$MSG['3500_1015439i'] = "Active Tickets";
$MSG['3500_1015439j'] = "Reply to Ticket";
$MSG['3500_1015439k'] = "The tickets was closed";
$MSG['3500_1015439l'] = "Your ticket was submitted";
$MSG['3500_1015439m'] = "That Ticket Doesn't Exist!";
$MSG['3500_1015439n'] = "Your message was submitted";
$MSG['3500_1015439o'] = "You have a submitted support ticket";
$MSG['3500_1015439p'] = "Click Here";
$MSG['3500_1015439q'] = "There is a active support ticket";
$MSG['3500_1015439r'] = "You have no support ticket";
$MSG['3500_1015439s'] = "There is no support tickets submitted";
$MSG['3500_1015439t'] = "A user submitted a support ticket";
$MSG['3500_1015439v'] = "You have received a reply from a support ticket";
/// End Support Mod

$MSG['3500_1015440'] = "You are the seller and can not buy this item";
$MSG['3500_1015441'] = "Choose a Subject";
$MSG['3500_1015442'] = "Request a new Category";
$MSG['3500_1015443'] = "Site Suggestions";
$MSG['3500_1015444'] = "General Enquiry";
$MSG['3500_1015445'] = "Error";
$MSG['3500_1015446'] = "Subject";

$MSG['3500_1015447'] = "This Mod is already Installed";
$MSG['3500_1015448'] = "Install this Mod";
$MSG['3500_1015449'] = "Backup Folder";
$MSG['3500_1015450'] = "This is a Backup Folder";
$MSG['3500_1015451'] = "AutoMod";
$MSG['3500_1015452'] = '<a href="' . $system->SETTINGS['siteurl'] . $system->SETTINGS['admin_folder'] . '/new_mods.php">Click Here</a> to Find or Get a new Mod or Theme for your u-Auctions script.';
$MSG['3500_1015453'] = "This is the download folder for the mods";
$MSG['3500_1015454'] = "Download Mod";
$MSG['3500_1015455'] = '<a href="' . $system->SETTINGS['siteurl'] . $system->SETTINGS['admin_folder'] . '/mods.php">Click Here</a> to display all the downloaded mods.';
$MSG['3500_1015456'] = "<b>Mod Folder:</b> ";
$MSG['3500_1015457'] = "This Mod is already downloaded";
$MSG['3500_1015458'] = "Delete this Mod";
$MSG['3500_1015459'] = "Part 1: Admin Area";
$MSG['3500_1015460'] = "Part 2: User Area";
$MSG['3500_1015461'] = "Please remember to finish filling out your info in your user control panel on the User Area side.";
$MSG['3500_1015462'] = "Choose Color";
$MSG['3500_1015463'] = "View Site";
$MSG['3500_1015464'] = "Messages";
$MSG['3500_1015465'] = "Progress";
$MSG['3500_1015466'] = "Reset Caches";
$MSG['3500_1015467'] = "Add Google Adsense Code";
$MSG['3500_1015468'] = "Last Login";
$MSG['3500_1015469'] = "ON / OFF";
$MSG['3500_1015470'] = "Are you sure you want to close this report?";
$MSG['3500_1015471'] = "Would you like to close this report and all other reports for this same Auction?";
$MSG['3500_1015472'] = "Reported Auction";
$MSG['3500_1015473'] = "Your Version";
$MSG['3500_1015474'] = "Current Version";
$MSG['3500_1015475'] = "Seller";
$MSG['3500_1015476'] = "Mod";
$MSG['3500_1015477'] = "Version";
$MSG['3500_1015478'] = "Folder";
$MSG['3500_1015479'] = "Page";
$MSG['3500_1015480'] = "Find This Code";
$MSG['3500_1015481'] = "Replace Code";
$MSG['3500_1015482'] = "Add After The Find Code";
$MSG['3500_1015483'] = "Add Before The Find Code";
$MSG['3500_1015484'] = "Details";
$MSG['3500_1015485'] = "Shipping details";
$MSG['3500_1015486'] = "Seller details";
$MSG['3500_1015487'] = "Additional details";
$MSG['3500_1015488'] = "Item Condition";
$MSG['3500_1015489'] = "Questions";
$MSG['3500_1015490'] = "History";
$MSG['3500_1015491'] = "Auction details";
$MSG['3500_1015492'] = "Allow the sellers to add their own item condition that is best to describe there item.";
$MSG['3500_1015493'] = "Your data is sent SSL-encrypted and strictly confidential. We do not dispatch 'spam' and not forward your data to third parties.";
$MSG['3500_1015494'] = "Picture uploader";
$MSG['3500_1015495'] = "Add files";
$MSG['3500_1015496'] = "Start upload";
$MSG['3500_1015497'] = "Cancel upload";
$MSG['3500_1015498'] = "Close Window";
$MSG['3500_1015499'] = "Size";
$MSG['3500_1015500'] = "Set as default";
$MSG['3500_1015501'] = "Close Auction";
$MSG['3500_1015502'] = "Insert google adsense code in textarea";
$MSG['3500_1015503'] = "Code submitted";
$MSG['3500_1015504'] = "Adsense settings updated";
$MSG['3500_1015505'] = "No Seller or Reporter has been Selected";
$MSG['3500_1015506'] = "Normal member";
$MSG['3500_1015507'] = "This user is already a normal member.";
$MSG['3500_1015508'] = "Set as Sub Admin";
$MSG['3500_1015509'] = "Set as Main Admin";
$MSG['3500_1015510'] = "Admin Settings";
$MSG['3500_1015511'] = "The Main Admin is used to display the Administrator button at the bottom of the page in the Front End of the u-Auctions script and it is also used for the bank transfers gateway so it can get the correct user info for the bank transfers so other members can pay there fees with a bank transfer.<p style='color:red'>Please only have 1 user as a main admin.</p>";
$MSG['3500_1015512'] = "The Sub Admin is used to only display the Administrator button at the bottom of the page in the Front End of the u-Auctions script.";
$MSG['3500_1015513'] = "The Normal Member is used to make the user a normal member and they can't see the Administrator button at the bottom of the page in the Front End.";
$MSG['3500_1015514'] = "For a Dutch Auction the seller may not set a reserve price, custom increment amount, nor use the BUY NOW feature.";
$MSG['3500_1015515'] = "Wiki";
$MSG['3500_1015516'] = "View Site";
$MSG['3500_1015517'] = "Birthday";
$MSG['3500_1015518'] = "Address";
$MSG['3500_1015519'] = "City";
$MSG['3500_1015520'] = "State/Province";
$MSG['3500_1015521'] = "Country";
$MSG['3500_1015522'] = "Zip/Post";
$MSG['3500_1015523'] = "Telephone";
$MSG['3500_1015524'] = "Sandbox";
$MSG['3500_1015525'] = "Items For Sale";
$MSG['3500_1015526'] = "View Items for Sale";
$MSG['31_1'] = "View Categories";
$MSG['3500_1015527'] = "Previous";
$MSG['3500_1015528'] = "Next";
$MSG['3500_1015529'] = "Refresh";
$MSG['3500_1015530'] = "Buy Now ONLY!";
$MSG['3500_1015531'] = "Buy Now!";
$MSG['3500_1015532'] = "First and Last Name";
$MSG['3500_1015533'] = "Your banner could not be uploaded";
$MSG['3500_1015534'] = "Are you sure you want to mark %s as paid";
$MSG['3500_1015535'] = "Are you sure you want to mark %s as shipped";
$MSG['3500_1015536'] = "Set the Cookie name you want to use on your u-Auctions script";
$MSG['3500_1015537'] = "Cookie Name";
$MSG['3500_1015538'] = "Security";
$MSG['3500_1015539'] = "Sessions Name";
$MSG['3500_1015540'] = "Set the Sessions name you want to use on your u-Auctions script";
$MSG['3500_1015541'] = "Payment Custom Code";
$MSG['3500_1015542'] = "Set the Payment Custom Code you want to use on your u-Auctions script.<br>The Payment Custom Code is used to verify the Instant Payment Notification (IPN).<br>Keep it 1 word, no numbers, no spaces if you want to use a space use _ between words and<br> do not use keyboard characters like ( % & , . * @ | ' : ; ) in the Payment Custom Code.";
$MSG['3500_1015543'] = "Security Settings";
$MSG['3500_1015544'] = "Security Settings was updated";
$MSG['3500_1015545'] = "Block Disposable Emails";
$MSG['3500_1015546'] = "This will check emails if they are a Disposable Email in the register and edit_data pages.<br>This API will connect to the u-auctions website to check if the email was blacklisted as a Disposable Email.<br>The only thing that is sent to the u-Auctions API is the email hosting provider that is after the @ in the email to be checked.";
$MSG['3500_1015547'] = "You haven't bid yet";
$MSG['3500_1015548'] = "TOTAL ITEMS SOLD";
$MSG['3500_1015549'] = "Total items sold";

//Email handler language
$MSG['3500_1015550'] = "Emailer Settings";
$MSG['3500_1015551'] = 'Mail Protocol:';
$MSG['3500_1015552'] = 'u-Auctions Mail Parameters:';
$MSG['3500_1015553'] = '*When using \'u-Auctions Mail\', additional mail parameters can be added here (e.g. "-femail@your_uAuctions.com").';
$MSG['3500_1015554'] = 'SMTP Host:';
$MSG['entry_smtp_host_info'] = '*For Gmail accounts. Set the encryption system using a prefix of [<b>ssl://</b>] or [<b>tls://</b>] Examples:<br>[ ssl://smtp.googlemail.com ], [ tls://smtp.googlemail.com ]';
$MSG['3500_1015556'] = 'SMTP Username:';
$MSG['3500_1015557'] = 'SMTP Password:';
$MSG['3500_1015558'] = 'SMTP Port:';
$MSG['3500_1015559'] = 'SMTP Security:';
$MSG['3500_1015560'] = 'SMTP Authentication:';
$MSG['3500_1015561'] = 'Additional Admin E-Mails:';
$MSG['3500_1015562'] = 'Additional email accounts you want to receive admin related email, in addition to the main site email address of %s. (comma separated)';
$MSG['3500_1015563'] = 'Please enter missing or incorrect SMTP settings'; 
$MSG['3500_1015564'] = "SMTP Specific Options:";
// modal and js
$MSG['3500_1015565'] = "Email Test and Response";
$MSG['3500_1015566'] = "Enter a message for the test email.";
$MSG['3500_1015567'] = "Send Test Email";
$MSG['3500_1015568'] = "Email Test";
$MSG['3500_1015569'] = "Test email from Admin";
$MSG['3500_1015570'] = "Admin";
$MSG['3500_1015571'] = "I have finished testing";
$MSG['3500_1015572'] = "Empty messages cause errors!";

//digital item uploader
$MSG['3500_1015573'] = "Admin folder Settings";
$MSG['3500_1015574'] = "You can now close this window or upload a different file";
$MSG['3500_1015575'] = "% uploaded... please wait";
$MSG['3500_1015576'] = "Upload Failed";
$MSG['3500_1015577'] = "Upload Aborted";
$MSG['3500_1015578'] = "Uploaded";
$MSG['3500_1015579'] = "bytes of";
$MSG['3500_1015580'] = "INFO! The New File Uploaded that is shown below will update after you upload a file and when you close this window.";
$MSG['3500_1015581'] = "There is a reported auction";
$MSG['3500_1015582'] = "System Messages";

$MSG['3500_1015583'] = "On";
$MSG['3500_1015584'] = "Off";
$MSG['3500_1015585'] = "Template Cache";

//cron page
$MSG['3500_1015586'] = "Cron log is currently empty";
$MSG['3500_1015587'] = "Cron Log was Purged";
$MSG['3500_1015588'] = "Cron Log";
$MSG['3500_1015589'] = "STARTING CRON SCRIPT: ";
$MSG['3500_1015590'] = "++++++ Closing expired auctions<br>";
$MSG['3500_1015591'] = " auctions to close<br>";
$MSG['3500_1015592'] = "<br>Processing auction: ";
$MSG['3500_1015593'] = "mail to seller: ";
$MSG['3500_1015594'] = "++++++ Archiving old auctions<br>";
$MSG['3500_1015595'] = " auctions to archive<br>";
$MSG['3500_1015596'] = "++++++ Purging the image cache files<br>";
$MSG['3500_1015597'] = " image cache files was purged<br>";
$MSG['3500_1015598'] = "++++++ Deleting old cron logs<br>";
$MSG['3500_1015600'] = " old corn logs was Deleted<br>";
$MSG['3500_1015601'] = " buyer fee emails was sent<br>";
$MSG['3500_1015602'] = "++++++ Buyer fee emails<br>";
$MSG['3500_1015603'] = "++++++ Cumulative emails<br>";
$MSG['3500_1015604'] = " cumulative emails was sent<br>";
$MSG['3500_1015605'] = "++++++ Delete unpaid items<br>";
$MSG['3500_1015606'] = " unpaid items was deleted<br>";
$MSG['3500_1015607'] = "++++++ Send emails to winners<br>";
$MSG['3500_1015608'] = " winner emails was sent<br>";
$MSG['3500_1015609'] = "++++++ Send emails to seller<br>";
$MSG['3500_1015610'] = " seller emails was sent<br>";
$MSG['3500_1015611'] = "++++++ Suspended users<br>";
$MSG['3500_1015612'] = " users was suspended<br>";
$MSG['3500_1015613'] = "++++++ Relisted auctions<br>";
$MSG['3500_1015614'] = " auctions was relisted<br>";
$MSG['3500_1015615'] = "++++++ Dutch auctions winners<br>";
$MSG['3500_1015616'] = " dutch auctions winners<br>";
$MSG['3500_1015617'] = "++++++ Standard auction winners<br>";
$MSG['3500_1015618'] = " standard auction winners<br>";
$MSG['3500_1015619'] = "================= ENDING CRON SCRIPT: ";
$MSG['3500_1015620'] = "Purge all cron logs";
$MSG['3500_1015621'] = "Turn on or off the cron logging";
$MSG['3500_1015622'] = "All the cron logs was purged";
$MSG['3500_1015623'] = "The cron log settings was updated";
$MSG['3500_1015624'] = "Cron log settings";
$MSG['3500_1015625'] = "The cron logs will automatically be deleted if they are older than 20 minutes or if there is more than 35 logs in the database and it will delete the oldest cron logs first.";
$MSG['3500_1015626'] = "The newest cron logs will be displayed first";
$MSG['3500_1015627'] = "Cron logs";
$MSG['3500_1015628'] = "Private Key";
$MSG['3500_1015629'] = "The private key is used for Encrypting and Decrypting the data and is unique for each u-Auctions script.<br>You can set your own private key or generate a private key but it must be 16, 24 or 32 characters long.<br>To Generate a key choose how many characters long and click the Generate Key button then click Save changes.";
$MSG['3500_1015630'] = "Encryption and Decryption System";
$MSG['3500_1015631'] = "Generate Path/Name";
$MSG['3500_1015632'] = "Generate Key";
$MSG['3500_1015633'] = "Add New Category";
$MSG['3500_1015634'] = "Cookies Directive";
$MSG['3500_1015635'] = "Enable the cookies directive?";
$MSG['3500_1015636'] = "This will display a message at the top of the page that ( This site uses cookies ) and do they accept the cookies from this site";
$MSG['3500_1015637'] = "Free";
$MSG['3500_1015638'] = "Charge";
$MSG['3500_1015639'] = "Minimum %s characters long";
$MSG['3500_1015640'] = "Your_email@email.com";
$MSG['3500_1015641'] = "Minimum characters length";
$MSG['3500_1015642'] = "Minimum username characters long";
$MSG['3500_1015643'] = "Minimum password characters long";
$MSG['3500_1015644'] = "You must set a minimum username characters length";
$MSG['3500_1015645'] = "You must set a minimum password characters length";
$MSG['3500_1015646'] = 'This page is to allow you to add extra payment methods but if you add a payment method the buyer will have to contact the seller to send money to them because they are not built in to the u-Auctions script.<br>To see what payment methods that are built in to the u-Auctions script <a href="' . $system->SETTINGS['siteurl'] . $system->SETTINGS['admin_folder'] . '/fee_gateways.php">Click Here</a>.';
$MSG['3500_1015647'] = "Requirements";
$MSG['3500_1015648'] = "PHP Version";
$MSG['3500_1015649'] = "GD Support";
$MSG['3500_1015650'] = "BC Math Support";
$MSG['3500_1015651'] = "PHP Data Objects (PDO) Support";
$MSG['3500_1015652'] = "MBString Support";
$MSG['3500_1015653'] = "PHP Header Support";
$MSG['3500_1015654'] = "Mcrypt Encrypt Support";
$MSG['3500_1015655'] = "open_basedir (Must be disabled)";
$MSG['3500_1015656'] = "allow_url_fopen Support";
$MSG['3500_1015657'] = "fopen Support";
$MSG['3500_1015658'] = "fread Support";
$MSG['3500_1015659'] = "file_get_contents Support";
$MSG['3500_1015660'] = "cURL Support";
$MSG['3500_1015661'] = "Captcha Image Settings";
$MSG['3500_1015662'] = "Captcha Image Characters Length";
$MSG['3500_1015663'] = "Set how many characters you want to use in the Captcha Image.<br>Minimum characters 3<br>Maximum characters 10<br>This is not for the reCaptcha and is for the Image.";
$MSG['3500_1015664'] = "Upload Favicon";
$MSG['3500_1015665'] = "Upload Logo";
$MSG['3500_1015666'] = "Site Favicon";
$MSG['3500_1015667'] = "Upload a new Favicon (max. 50 KB)<br>Must be in a .ico format";
$MSG['3500_1015668'] = "The new favicon image was uploaded";
$MSG['3500_1015669'] = "The new favicon image was not uploaded";
$MSG['3500_1015670'] = "The new site logo was uploaded";
$MSG['3500_1015671'] = "The new site logo was not uploaded";
$MSG['3500_1015672'] = "The new site favicon image was not in a .ico format";
$MSG['3500_1015673'] = "No Fees";
$MSG['3500_1015674'] = "0 = Unlimited Users";
$MSG['3500_1015675'] = "Email Settings";
$MSG['3500_1015676'] = "Email Settings updated";
$MSG['3500_1015677'] = "No Setup Fee";
$MSG['3500_1015678'] = "No Extra Category Fee";
$MSG['3500_1015679'] = "No Subtitle Fee";
$MSG['3500_1015680'] = "No Relist Fee";
$MSG['3500_1015681'] = "No Picture Fee";
$MSG['3500_1015682'] = "No Featured Fee";
$MSG['3500_1015683'] = "No Highlighted Fee";
$MSG['3500_1015684'] = "No Bold Fee";
$MSG['3500_1015685'] = "No Reserve Price Fee";
$MSG['3500_1015686'] = "No Buyer Fee";
$MSG['3500_1015687'] = "Mail details currently saved and used during this test:";
$MSG['3500_1015688'] = "Don't forget to save any changes to take effect";
$MSG['3500_1015689'] = "No Final Price Fee";
$MSG['3500_1015690'] = "New group was added";
$MSG['3500_1015691'] = "Group was updated";
$MSG['3500_1015692'] = "Administrator Area";

//upgrade language in the AdminCP
$MSG['3500_1015693'] = "Upgrade u-Auctions Script";
$MSG['3500_1015694'] = "No new upgrades available";
$MSG['3500_1015695'] = "There is no new u-Auctions upgrades available for your u-Auctions script";
$MSG['3500_1015696'] = "Upgrade your u-Auctions Script to %s";
$MSG['3500_1015697'] = "Upgrading your u-Auctions Script details";
$MSG['3500_1015698'] = "Failed to Upgrade your u-Auctions script files and database please try again";
$MSG['3500_1015699'] = "Failed to Upgrade your u-Auctions script files please try again";
$MSG['3500_1015700'] = "Failed to Upgrade your u-Auctions script database please try again";
$MSG['3500_1015701'] = "Upgrading your u-Auctions script and database was successfully";
$MSG['3500_1015702'] = "The upgrade temp files and directories didn't delete and there must be still pages and directories in the (root/inc/upgrade/) folder.<br>Delete the upgrade/ folder in the (root/inc/) folder";
$MSG['3500_1015703'] = "The upgrade temp files and folders was not deleted";
$MSG['3500_1015704'] = "The upgrade temp install files and folder was deleted";
$MSG['3500_1015705'] = "The new upgrade files didn't download and unzip";
$MSG['3500_1015706'] = "The new upgrade files didn't download";
$MSG['3500_1015707'] = "The new update files was downloaded but didn't unzip to a temp folder please try again";
$MSG['3500_1015708'] = "The new upgrade files was downloaded and unzipped to the temp folder successfully";
$MSG['3500_1015709'] = "Make sure to backup any pages that you may have customised before upgrading to the new u-Auctions version.<br>
	Your old u-Auctions pages will be replaced with the new u-Auctions pages and any custom codes that you have added will be deleted.<br> 
	The new pages are show below and the (root/) that is shown is your u-Auctions main directory folder.";
$MSG['3500_1015710'] = "Title:";
$MSG['3500_1015711'] = "Your Installed Version:";
$MSG['3500_1015712'] = "Required Version Needed:";
$MSG['3500_1015713'] = "New Version:";
$MSG['3500_1015714'] = "Description:";
$MSG['3500_1015715'] = "Pages and Directories";
$MSG['3500_1015716'] = "Folder:";
$MSG['3500_1015717'] = "Pages";
$MSG['3500_1015718'] = "Start Upgrade";
$MSG['3500_1015719'] = "Enter the maximum width allowed (in Pixels) of the pictures sellers can upload for each auction.<br>Pictures that are bigger than your width settings will be resized down to your width settings.";
$MSG['3500_1015720'] = "Enter the maximum height allowed (in Pixels) of the pictures sellers can upload for each auction.<br>Pictures that are bigger than your height settings will be resized down to your height settings.";
$MSG['3500_1015721'] = "Pixels";
$MSG['3500_1015722'] = "Max. Picture width";
$MSG['3500_1015723'] = "Max. Picture height";
$MSG['3500_1015724'] = "Yes = Pay No Fee and No = User has to pay the Fee";
$MSG['3500_1015725'] = "Multilingual Default Language Updated";
$MSG['3500_1015726'] = "u-Auctions Script on Bitbucket:";
$MSG['3500_1015727'] = "Pay:";
$MSG['3500_1015728'] = "Buy it Now Settings";
$MSG['3500_1015729'] = "Directories: %s out of %s was found on the server";
$MSG['3500_1015730'] = "Pages: %s out of %s was copied";
$MSG['3500_1015731'] = "u-Auctions Language on Bitbucket:";
$MSG['3500_1015732'] = "Database Tables: %s out of %s was updated";
$MSG['3500_1015733'] = "Site Administrator";
$MSG['3500_1015734'] = "Extra Details";
$MSG['3500_1015735'] = "Enable Summer Time/DST";
$MSG['3500_1015736'] = "Are you sure that you want to download the new upgrade package to your server?";
$MSG['3500_1015737'] = "Are you sure that you want to start upgrading your u-Auctions Script? Make sure to backup any pages that you may have edited the upgrade system does not make any backup files of your pages.";
$MSG['3500_1015738'] = "The Standard Auctions is a normal auction that allow reserve price, custom increment amount, BUY NOW feature and much more";
$MSG['3500_1015739'] = "The Additional Shipping price is if you are selling more than 1 item quantity and if the buyer buys more than 1 items he will be charged a Additional Shipping price pre extra item. The frist item will not be counted with the Additional Shipping price.";
$MSG['3500_1015740'] = "Uncheck this box if you wish to start your auction at different date & time. You can choose a different date & time that you would like to start your auction at in the text box below.";
$MSG['3500_1015741'] = "Click on the text box or calendar icon to open the calendar so that you can choose your starting date & time.";
$MSG['3500_1015742'] = "View Bots Statistics";
$MSG['3500_1015743'] = "Bot Statistics for ";
$MSG['3500_1015744'] = "Auction Setup Type";
$MSG['3500_1015745'] = "Free Item";
$MSG['3500_1015746'] = "Sell Item";
$MSG['3500_1015747'] = "Get Free Item";
$MSG['3500_1015748'] = "100% Free!";
$MSG['3500_1015749'] = "Thank You!! The seller will receive a email to ship your item";
$MSG['3500_1015750'] = "Download your Free Item";
$MSG['3500_1015751'] = "The Dutch Auction you may not set a reserve price, custom increment amount, nor use the BUY NOW, Free Item feature.";
$MSG['3500_1015752'] = "The Free Item Feature allows you to give your item out for free.";
$MSG['3500_1015753'] = "The Sell Item Feature allows you to sell your item for a price.";
$MSG['3500_1015754'] = "Free Item Only";
$MSG['3500_1015755'] = "Sell Item Only";
$MSG['3500_1015756'] = "Both";
$MSG['3500_1015757'] = "The Auction Setup Type allows the seller to sell a item for free or sell the item for a price.<br>If a user choose the Free Items and standard auctions features it will turn the standard auctions to Buy Now Only.<br><span style='color:red'>If you choose the Free Item Only or Both feature the Buy Now Only feature will be turned on automatically.</span>";
$MSG['3500_1015758'] = "Max. Number of Free pictures";
$MSG['3500_1015759'] = "Max. Number of pictures to allow the seller to upload.";
$MSG['3500_1015760'] = "Max. Number of Free pictures to allow the seller to upload before the seller has to pay a fee.<br>If there is no Image Upload Fee set then the seller will be able to upload to the Max. Number of pictures for free.";
$MSG['3500_1015761'] = "You can upload %s pictures for free and any additional pictures over %s there will be a fee of %s for each additional picture.";
$MSG['3500_1015762'] = "Enable Shipping Conditions";
$MSG['3500_1015763'] = "Enable Shipping Terms";
$MSG['3500_1015764'] = "Select <b>Yes</b> to enable the Shipping Conditions feature. Otherwise select <b>No</b> to set all auctions to use (Buyer pays shipping expenses)";
$MSG['3500_1015765'] = "Select <b>Yes</b> to enable the Shipping Terms feature. Otherwise select <b>No</b> to not allow the seller add their own Shipping Terms.";
$MSG['3500_1015766'] = "Display Help box?";
$MSG['3500_1015767'] = "Select <b>Yes</b> if you display the help box in the Home page and Navigation bar. Otherwise select <b>No</b><br>The Help box displays the FAQs, Message Boards, Contact Us and Fees";
$MSG['3500_1015768'] = "Statistics Settings";
$MSG['3500_1015769'] = "First %s pictures are free";
$MSG['3500_1015770'] = "Digital Item MINE Type List";
$MSG['3500_1015771'] = "MINE Type";
$MSG['3500_1015772'] = "File Extension";
$MSG['3500_1015773'] = "New Digital Item MINE Type";
$MSG['3500_1015774'] = "New Digital Item MINE Type was added";
$MSG['3500_1015775'] = "The Digital Item MINE Type List was updated";
$MSG['3500_1015776'] = "The Digital Item MINE Type was deleted";
$MSG['3500_1015777'] = "Use Type";
$MSG['3500_1015778'] = "Digital Item MINE Type Settings";
$MSG['3500_1015779'] = "Select <b>Yes</b> if you want to allow the File Extension in digital item auctions. Otherwise select <b>No</b> ";
$MSG['3500_1015780'] = "Google Analytics";
$MSG['3500_1015781'] = "Tracking ID";
$MSG['3500_1015782'] = "Enter your Google Analytics Tracking ID ";
$MSG['3500_1015783'] = "Used <b>only</b> for SMTP mail";
$MSG['3500_1015785'] = "Could not send mail! Please check your PHP mail configuration.Response:<br>";
$MSG['3500_1015786'] = " Your email(s) has been processed and sent. No error(s) to report.";
$MSG['3500_1015787'] = "Change Wartermark";
$MSG['3500_1015788'] = "Site Wartermark";
$MSG['3500_1015789'] = "The new site wartermark was uploaded";
$MSG['3500_1015790'] = "The new site wartermark was not uploaded";
$MSG['3500_1015791'] = "The new site wartermark image was not in a png, jpg or gif format";
$MSG['3500_1015792'] = "Update Wartermark Settings";
$MSG['3500_1015793'] = "Wartermark Settings";
$MSG['3500_1015794'] = "Select <b>On</b> if you want to add your own wartermark to all the uploaded images. Otherwise select <b>Off</b>";
$MSG['3500_1015795'] = "The Wartermark Settings was updated";
$MSG['3500_1015796'] = "Hash Hmac Support";
$MSG['3500_1015797'] = "This is the number of items to show in the Featured Auctions list in the Home Page.<br>0 (zero) is permitted.";
$MSG['3500_1015798'] = "Add New Currency";
$MSG['3500_1015799'] = "Currency Type";
$MSG['3500_1015800'] = "Currency Abbreviation";
$MSG['3500_1015801'] = "Only fill this in if you are adding new Currency. Example: <b>United States</b> <br>Must fill in all 3 textboxs to add a new Currency.";
$MSG['3500_1015802'] = "Only fill this in if you are adding new Currency. Example: <b>U.S. Dollar</b> <br>Must fill in all 3 textboxs to add a new Currency.";
$MSG['3500_1015803'] = "Only fill this in if you are adding new Currency. Example: <b>USD</b>  <br>Must fill in all 3 textboxs to add a new Currency and must be 3 letters ONLY and uppercase.";
$MSG['3500_1015804'] = "The new Currency was added to the database";

//time abbreviations
$MSG['ta_d'] = 'd '; //The day of the month (from 01 to 31)
$MSG['ta_h'] = 'h '; //12-hour format of an hour (01 to 12)
$MSG['ta_M'] = 'M '; //A short textual representation of a month (three letters)
$MSG['ta_m'] = 'm '; //A numeric representation of a month (from 01 to 12)
$MSG['ta_m2'] = 'm'; //A numeric representation of a month (from 01 to 12)
$MSG['ta_s'] = 's '; //Seconds, with leading zeros (00 to 59)
$MSG['ta_y'] = 'y '; //A two digit representation of a year
$MSG['ta_Y'] = 'Y '; //A four digit representation of a year
$MSG['ta_j'] = 'j '; //The day of the month without leading zeros (1 to 31)
$MSG['ta_His'] = 'H:i:s'; //H = 24-hour format of an hour (00 to 23) and i = Minutes with leading zeros (00 to 59) and s = Seconds, with leading zeros (00 to 59)
$MSG['ta_Hi'] = 'H:i '; //H = 24-hour format of an hour (00 to 23) and i = Minutes with leading zeros (00 to 59)
$MSG['ta_Md'] = 'M d '; //M = A short textual representation of a month (three letters) and d = days
$MSG['ta_YHi'] = 'Y - H:i '; // Y = A four digit representation of a year and H = 24-hour format of an hour (00 to 23) and i = Minutes with leading zeros (00 to 59)
$MSG['ta_YHis'] = 'Y H:i:s';



?>